// tcl wrapper for vtkCompositeDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataIterator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCompositeDataIteratorCppCommand(vtkCompositeDataIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkCompositeDataIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCompositeDataIteratorCppCommand(static_cast<vtkCompositeDataIterator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCompositeDataIterator_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkCompositeDataIteratorCppCommand(vtkCompositeDataIterator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCompositeDataIterator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCompositeDataIterator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeDataIterator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCompositeDataIterator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeDataIterator");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataSet",argv[1]))&&(argc == 3))
    {
    vtkCompositeDataSet  *temp0;
    error = 0;

    temp0 = (vtkCompositeDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCompositeDataSet"),interp,error));
    if (!error)
    {
    op->SetDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 2))
    {
    vtkCompositeDataSet  *temp20;
    temp20 = (op)->GetDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeDataSet");
    return TCL_OK;
    }
  if ((!strcmp("InitTraversal",argv[1]))&&(argc == 2))
    {
    op->InitTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitReverseTraversal",argv[1]))&&(argc == 2))
    {
    op->InitReverseTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToFirstItem",argv[1]))&&(argc == 2))
    {
    op->GoToFirstItem();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToNextItem",argv[1]))&&(argc == 2))
    {
    op->GoToNextItem();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsDoneWithTraversal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDoneWithTraversal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentDataObject",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetCurrentDataObject();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentMetaData",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetCurrentMetaData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("HasCurrentMetaData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasCurrentMetaData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSkipEmptyNodes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSkipEmptyNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSkipEmptyNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSkipEmptyNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SkipEmptyNodesOn",argv[1]))&&(argc == 2))
    {
    op->SkipEmptyNodesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SkipEmptyNodesOff",argv[1]))&&(argc == 2))
    {
    op->SkipEmptyNodesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentFlatIndex",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetCurrentFlatIndex();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetReverse",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverse();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCompositeDataIteratorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCompositeDataIterator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\n",NULL);
    Tcl_AppendResult(interp,"  InitTraversal\n",NULL);
    Tcl_AppendResult(interp,"  InitReverseTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GoToFirstItem\n",NULL);
    Tcl_AppendResult(interp,"  GoToNextItem\n",NULL);
    Tcl_AppendResult(interp,"  IsDoneWithTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentDataObject\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentMetaData\n",NULL);
    Tcl_AppendResult(interp,"  HasCurrentMetaData\n",NULL);
    Tcl_AppendResult(interp,"  SetSkipEmptyNodes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSkipEmptyNodes\n",NULL);
    Tcl_AppendResult(interp,"  SkipEmptyNodesOn\n",NULL);
    Tcl_AppendResult(interp,"  SkipEmptyNodesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentFlatIndex\n",NULL);
    Tcl_AppendResult(interp,"  GetReverse\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    Tcl_DStringAppendElement ( &dString, "InitReverseTraversal" );
    Tcl_DStringAppendElement ( &dString, "GoToFirstItem" );
    Tcl_DStringAppendElement ( &dString, "GoToNextItem" );
    Tcl_DStringAppendElement ( &dString, "IsDoneWithTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentDataObject" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentMetaData" );
    Tcl_DStringAppendElement ( &dString, "HasCurrentMetaData" );
    Tcl_DStringAppendElement ( &dString, "SetSkipEmptyNodes" );
    Tcl_DStringAppendElement ( &dString, "GetSkipEmptyNodes" );
    Tcl_DStringAppendElement ( &dString, "SkipEmptyNodesOn" );
    Tcl_DStringAppendElement ( &dString, "SkipEmptyNodesOff" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentFlatIndex" );
    Tcl_DStringAppendElement ( &dString, "GetReverse" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSet */
    if ( strcmp ( argv[2], "SetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSet */
    Tcl_DStringAppendElement ( &dString, " Set the composite dataset this iterator is iterating over.\n Must be set before traversal begins.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataSet(vtkCompositeDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for SetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSet */
    if ( strcmp ( argv[2], "GetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSet */
    Tcl_DStringAppendElement ( &dString, " Set the composite dataset this iterator is iterating over.\n Must be set before traversal begins.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataSet *GetDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitTraversal */
    if ( strcmp ( argv[2], "InitTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitTraversal */
    Tcl_DStringAppendElement ( &dString, " Begin iterating over the composite dataset structure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitTraversal();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for InitTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitReverseTraversal */
    if ( strcmp ( argv[2], "InitReverseTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitReverseTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitReverseTraversal */
    Tcl_DStringAppendElement ( &dString, " Begin iterating over the composite dataset structure in reverse order.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitReverseTraversal();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for InitReverseTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GoToFirstItem */
    if ( strcmp ( argv[2], "GoToFirstItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GoToFirstItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GoToFirstItem */
    Tcl_DStringAppendElement ( &dString, " Move the iterator to the beginning of the collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GoToFirstItem() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GoToFirstItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GoToNextItem */
    if ( strcmp ( argv[2], "GoToNextItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GoToNextItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GoToNextItem */
    Tcl_DStringAppendElement ( &dString, " Move the iterator to the next item in the collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GoToNextItem() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GoToNextItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsDoneWithTraversal */
    if ( strcmp ( argv[2], "IsDoneWithTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDoneWithTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDoneWithTraversal */
    Tcl_DStringAppendElement ( &dString, " Test whether the iterator is finished with the traversal.\n Returns 1 for yes, and 0 for no.\n It is safe to call any of the GetCurrent...() methods only when\n IsDoneWithTraversal() returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsDoneWithTraversal() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for IsDoneWithTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentDataObject */
    if ( strcmp ( argv[2], "GetCurrentDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentDataObject */
    Tcl_DStringAppendElement ( &dString, " Returns the current item. Valid only when IsDoneWithTraversal() returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataObject *GetCurrentDataObject() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GetCurrentDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentMetaData */
    if ( strcmp ( argv[2], "GetCurrentMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentMetaData */
    Tcl_DStringAppendElement ( &dString, " Returns the meta-data associated with the current item. This will allocate\n a new vtkInformation object is none is already present. Use\n HasCurrentMetaData to avoid unnecessary creation of vtkInformation objects.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInformation *GetCurrentMetaData() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GetCurrentMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasCurrentMetaData */
    if ( strcmp ( argv[2], "HasCurrentMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasCurrentMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasCurrentMetaData */
    Tcl_DStringAppendElement ( &dString, " Returns if the a meta-data information object is present for the current\n item. Return 1 on success, 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasCurrentMetaData() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for HasCurrentMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSkipEmptyNodes */
    if ( strcmp ( argv[2], "SetSkipEmptyNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSkipEmptyNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSkipEmptyNodes */
    Tcl_DStringAppendElement ( &dString, " If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSkipEmptyNodes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for SetSkipEmptyNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSkipEmptyNodes */
    if ( strcmp ( argv[2], "GetSkipEmptyNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSkipEmptyNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSkipEmptyNodes */
    Tcl_DStringAppendElement ( &dString, " If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSkipEmptyNodes();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GetSkipEmptyNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SkipEmptyNodesOn */
    if ( strcmp ( argv[2], "SkipEmptyNodesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SkipEmptyNodesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SkipEmptyNodesOn */
    Tcl_DStringAppendElement ( &dString, " If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SkipEmptyNodesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for SkipEmptyNodesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SkipEmptyNodesOff */
    if ( strcmp ( argv[2], "SkipEmptyNodesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SkipEmptyNodesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SkipEmptyNodesOff */
    Tcl_DStringAppendElement ( &dString, " If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SkipEmptyNodesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for SkipEmptyNodesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentFlatIndex */
    if ( strcmp ( argv[2], "GetCurrentFlatIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentFlatIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentFlatIndex */
    Tcl_DStringAppendElement ( &dString, " Flat index is an index to identify the data in a composite data structure\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetCurrentFlatIndex() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GetCurrentFlatIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverse */
    if ( strcmp ( argv[2], "GetReverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverse */
    Tcl_DStringAppendElement ( &dString, " Returns if the iteration is in reverse order.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverse();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    /* Closing for GetReverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
