// java wrapper for vtkHyperTreeGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperTreeGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperTreeGrid",dType)) { return me; }
  if ((res= vtkDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_LEVELS_10(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->LEVELS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_DIMENSION_11(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DIMENSION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_SIZES_12(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SIZES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperTreeGrid_GetClassName_13(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  const char    *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_IsA_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperTreeGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetDataObjectType_15(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  int      temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_CopyStructure_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetTransposedRootIndexing_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHyperTreeGrid *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransposedRootIndexing(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHyperTreeGrid_GetTransposedRootIndexing_18(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  bool   temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransposedRootIndexing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetIndexingModeToKJI_19(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexingModeToKJI();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetIndexingModeToIJK_110(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexingModeToIJK();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetBranchFactor_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGrid *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBranchFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetBranchFactor_112(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
   unsigned int      temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBranchFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetDimension_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGrid *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimension(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetDimension_114(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
   unsigned int      temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetNumberOfCells_115(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetNumberOfPoints_116(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetNumberOfLeaves_117(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLeaves();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetNumberOfLevels_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLevels(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetNumberOfTrees_119(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTrees();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetXCoordinates_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXCoordinates(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_GetXCoordinates_121(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkDataArray  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXCoordinates();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetYCoordinates_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYCoordinates(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_GetYCoordinates_123(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkDataArray  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYCoordinates();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetZCoordinates_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZCoordinates(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_GetZCoordinates_125(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkDataArray  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZCoordinates();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetMaterialMask_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkBitArray  *temp0;
  temp0 = (vtkBitArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialMask(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_GetMaterialMask_127(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkBitArray  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaterialMask();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SetMaterialMaskIndex_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialMaskIndex(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_GetMaterialMaskIndex_129(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  vtkIdTypeArray  *temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaterialMaskIndex();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_GenerateTrees_130(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateTrees();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_NewCursor_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  vtkHyperTreeCursor  *temp20;
  temp0 = id0;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewCursor(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_SubdivideLeaf_132(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkHyperTreeGrid *op;
  vtkHyperTreeCursor  *temp0;
  vtkIdType   temp1;
  temp0 = (vtkHyperTreeCursor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SubdivideLeaf(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_GetPoint_133(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperTreeGrid_GetCell_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_GetCell_135(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetCellType_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_GetCellPoints_137(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_GetPointCells_138(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_GetCellNeighbors_139(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkHyperTreeGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_FindPoint_140(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperTreeGrid *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_Initialize_141(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetMaxCellSize_142(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
  int      temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_ShallowCopy_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_DeepCopy_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperTreeGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetActualMemorySize_145(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
   unsigned long     temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGrid_GenerateSuperCursorTraversalTable_146(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateSuperCursorTraversalTable();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGrid_GetNumberOfChildren_147(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGrid *op;
   unsigned int      temp20;

  op = (vtkHyperTreeGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfChildren();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperTreeGrid_VTKInit(JNIEnv *, jobject)
{
  vtkHyperTreeGrid *aNewOne = vtkHyperTreeGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
