// tcl wrapper for vtkOverlappingAMR object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOverlappingAMR.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOverlappingAMRNewCommand()
{
  vtkOverlappingAMR *temp = vtkOverlappingAMR::New();
  return static_cast<ClientData>(temp);
}

int vtkUniformGridAMRCppCommand(vtkUniformGridAMR *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOverlappingAMRCppCommand(vtkOverlappingAMR *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkOverlappingAMRCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOverlappingAMRCppCommand(static_cast<vtkOverlappingAMR *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOverlappingAMR_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkOverlappingAMR"),vtkOverlappingAMRNewCommand,vtkOverlappingAMRCommand);
  return 0;
}

int VTKTCL_EXPORT vtkOverlappingAMRCppCommand(vtkOverlappingAMR *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOverlappingAMR",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUniformGridAMRCppCommand(static_cast<vtkUniformGridAMR *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUniformGridAMR"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOverlappingAMR  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOverlappingAMR");
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOverlappingAMR  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOverlappingAMR");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOverlappingAMR  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOverlappingAMR");
    return TCL_OK;
    }
    }
  if ((!strcmp("NewIterator",argv[1]))&&(argc == 2))
    {
    vtkCompositeDataIterator  *temp20;
    temp20 = (op)->NewIterator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeDataIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkOverlappingAMR  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOverlappingAMR");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 4))
    {
    vtkInformationVector  *temp0;
    int      temp1;
    vtkOverlappingAMR  *temp20;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOverlappingAMR");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRefinementRatio",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetRefinementRatio(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRefinementRatio",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetRefinementRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAMRBlockSourceIndex",argv[1]))&&(argc == 5))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetAMRBlockSourceIndex(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAMRBlockSourceIndex",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetAMRBlockSourceIndex(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRefinementRatio",argv[1]))&&(argc == 3))
    {
    vtkCompositeDataIterator  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkCompositeDataIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCompositeDataIterator"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRefinementRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasChildrenInformation",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasChildrenInformation();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateParentChildInformation",argv[1]))&&(argc == 2))
    {
    op->GenerateParentChildInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintParentChildInfo",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->PrintParentChildInfo(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAMRInfo",argv[1]))&&(argc == 2))
    {
    vtkAMRInformation  *temp20;
    temp20 = (op)->GetAMRInfo();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAMRInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetAMRInfo",argv[1]))&&(argc == 3))
    {
    vtkAMRInformation  *temp0;
    error = 0;

    temp0 = (vtkAMRInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAMRInformation"),interp,error));
    if (!error)
    {
    op->SetAMRInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Audit",argv[1]))&&(argc == 2))
    {
    op->Audit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOverlappingAMRCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUniformGridAMRCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOverlappingAMR:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewIterator\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRefinementRatio\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRefinementRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAMRBlockSourceIndex\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAMRBlockSourceIndex\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRefinementRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasChildrenInformation\n",NULL);
    Tcl_AppendResult(interp,"  GenerateParentChildInformation\n",NULL);
    Tcl_AppendResult(interp,"  PrintParentChildInfo\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAMRInfo\n",NULL);
    Tcl_AppendResult(interp,"  SetAMRInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Audit\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUniformGridAMRCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "NewIterator" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "SetRefinementRatio" );
    Tcl_DStringAppendElement ( &dString, "GetRefinementRatio" );
    Tcl_DStringAppendElement ( &dString, "SetAMRBlockSourceIndex" );
    Tcl_DStringAppendElement ( &dString, "GetAMRBlockSourceIndex" );
    Tcl_DStringAppendElement ( &dString, "GetRefinementRatio" );
    Tcl_DStringAppendElement ( &dString, "HasChildrenInformation" );
    Tcl_DStringAppendElement ( &dString, "GenerateParentChildInformation" );
    Tcl_DStringAppendElement ( &dString, "PrintParentChildInfo" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetAMRInfo" );
    Tcl_DStringAppendElement ( &dString, "SetAMRInfo" );
    Tcl_DStringAppendElement ( &dString, "Audit" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUniformGridAMRCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOverlappingAMR *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return class name of data type (see vtkType.h for definitions).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewIterator */
    if ( strcmp ( argv[2], "NewIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewIterator */
    Tcl_DStringAppendElement ( &dString, " Return a new iterator (the iterator has to be deleted by the user).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCompositeDataIterator *NewIterator();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for NewIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkOverlappingAMR *GetData(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkOverlappingAMR *GetData(vtkInformationVector *v, int i=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRefinementRatio */
    if ( strcmp ( argv[2], "SetRefinementRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRefinementRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRefinementRatio */
    Tcl_DStringAppendElement ( &dString, " Sets the refinement of a given level. The spacing at level\n level+1 is defined as spacing(level+1) = spacing(level)/refRatio(level).\n Note that currently, this is not enforced by this class however\n some algorithms might not function properly if the spacing in\n the blocks (vtkUniformGrid) does not match the one described\n by the refinement ratio.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRefinementRatio(unsigned int level, int refRatio);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for SetRefinementRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRefinementRatio */
    if ( strcmp ( argv[2], "GetRefinementRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRefinementRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRefinementRatio */
    Tcl_DStringAppendElement ( &dString, " Returns the refinement of a given level.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRefinementRatio(unsigned int level);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetRefinementRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAMRBlockSourceIndex */
    if ( strcmp ( argv[2], "SetAMRBlockSourceIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAMRBlockSourceIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAMRBlockSourceIndex */
    Tcl_DStringAppendElement ( &dString, " Set/Get the source id of a block. The source id is produced by an\n AMR source, e.g. a file reader might set this to be a file block id\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAMRBlockSourceIndex(unsigned int level, unsigned int id, int sourceId);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for SetAMRBlockSourceIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAMRBlockSourceIndex */
    if ( strcmp ( argv[2], "GetAMRBlockSourceIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAMRBlockSourceIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAMRBlockSourceIndex */
    Tcl_DStringAppendElement ( &dString, " Set/Get the source id of a block. The source id is produced by an\n AMR source, e.g. a file reader might set this to be a file block id\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAMRBlockSourceIndex(unsigned int level, unsigned int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetAMRBlockSourceIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRefinementRatio */
    if ( strcmp ( argv[2], "GetRefinementRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRefinementRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRefinementRatio */
    Tcl_DStringAppendElement ( &dString, " Returns the refinement ratio for the position pointed by the iterator.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRefinementRatio(vtkCompositeDataIterator *iter);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetRefinementRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasChildrenInformation */
    if ( strcmp ( argv[2], "HasChildrenInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasChildrenInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasChildrenInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool HasChildrenInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for HasChildrenInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateParentChildInformation */
    if ( strcmp ( argv[2], "GenerateParentChildInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateParentChildInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateParentChildInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateParentChildInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GenerateParentChildInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintParentChildInfo */
    if ( strcmp ( argv[2], "PrintParentChildInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintParentChildInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintParentChildInfo */
    Tcl_DStringAppendElement ( &dString, " Prints the parents and children of a requested block (Debug Routine)\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintParentChildInfo(unsigned int level, unsigned int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for PrintParentChildInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double b\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAMRInfo */
    if ( strcmp ( argv[2], "GetAMRInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAMRInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAMRInfo */
    Tcl_DStringAppendElement ( &dString, " Get/Set the interal representation of amr meta meta data\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRInformation *GetAMRInfo();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for GetAMRInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAMRInfo */
    if ( strcmp ( argv[2], "SetAMRInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAMRInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAMRInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAMRInfo */
    Tcl_DStringAppendElement ( &dString, " Get/Set the interal representation of amr meta meta data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAMRInfo(vtkAMRInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for SetAMRInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Audit */
    if ( strcmp ( argv[2], "Audit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Audit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Audit */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Audit();" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    /* Closing for Audit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUniformGridAMRCppCommand(static_cast<vtkUniformGridAMR *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
