#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAbstractTransform_TclCreate(Tcl_Interp *interp);
int vtkCylindricalTransform_TclCreate(Tcl_Interp *interp);
int vtkGeneralTransform_TclCreate(Tcl_Interp *interp);
int vtkHomogeneousTransform_TclCreate(Tcl_Interp *interp);
int vtkIdentityTransform_TclCreate(Tcl_Interp *interp);
int vtkLinearTransform_TclCreate(Tcl_Interp *interp);
int vtkMatrixToHomogeneousTransform_TclCreate(Tcl_Interp *interp);
int vtkMatrixToLinearTransform_TclCreate(Tcl_Interp *interp);
int vtkPerspectiveTransform_TclCreate(Tcl_Interp *interp);
int vtkSphericalTransform_TclCreate(Tcl_Interp *interp);
int vtkThinPlateSplineTransform_TclCreate(Tcl_Interp *interp);
int vtkTransform2D_TclCreate(Tcl_Interp *interp);
int vtkTransformCollection_TclCreate(Tcl_Interp *interp);
int vtkTransform_TclCreate(Tcl_Interp *interp);
int vtkWarpTransform_TclCreate(Tcl_Interp *interp);
int vtkLandmarkTransform_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkcommontransformstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkcommontransformstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkcommontransformstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkcommontransformstcl_Init(interp);
}


int VTK_EXPORT Vtkcommontransformstcl_Init(Tcl_Interp *interp)
{

  vtkAbstractTransform_TclCreate(interp);
  vtkCylindricalTransform_TclCreate(interp);
  vtkGeneralTransform_TclCreate(interp);
  vtkHomogeneousTransform_TclCreate(interp);
  vtkIdentityTransform_TclCreate(interp);
  vtkLinearTransform_TclCreate(interp);
  vtkMatrixToHomogeneousTransform_TclCreate(interp);
  vtkMatrixToLinearTransform_TclCreate(interp);
  vtkPerspectiveTransform_TclCreate(interp);
  vtkSphericalTransform_TclCreate(interp);
  vtkThinPlateSplineTransform_TclCreate(interp);
  vtkTransform2D_TclCreate(interp);
  vtkTransformCollection_TclCreate(interp);
  vtkTransform_TclCreate(interp);
  vtkWarpTransform_TclCreate(interp);
  vtkLandmarkTransform_TclCreate(interp);
  char pkgName[]="vtkCommonTransformsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
