// tcl wrapper for vtkMoleculeAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMoleculeAlgorithm.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMoleculeAlgorithmNewCommand()
{
  vtkMoleculeAlgorithm *temp = vtkMoleculeAlgorithm::New();
  return static_cast<ClientData>(temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMoleculeAlgorithmCppCommand(vtkMoleculeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkMoleculeAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMoleculeAlgorithmCppCommand(static_cast<vtkMoleculeAlgorithm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMoleculeAlgorithm_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkMoleculeAlgorithm"),vtkMoleculeAlgorithmNewCommand,vtkMoleculeAlgorithmCommand);
  return 0;
}

int VTKTCL_EXPORT vtkMoleculeAlgorithmCppCommand(vtkMoleculeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMoleculeAlgorithm",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMoleculeAlgorithm  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMoleculeAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMoleculeAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMoleculeAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMoleculeAlgorithm  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMoleculeAlgorithm");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkMolecule  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMolecule");
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkMolecule  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMolecule");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutput",argv[1]))&&(argc == 3))
    {
    vtkMolecule  *temp0;
    error = 0;

    temp0 = (vtkMolecule *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMolecule"),interp,error));
    if (!error)
    {
    op->SetOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMoleculeInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkMolecule  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMoleculeInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMolecule");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->AddInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInputData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->AddInputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMoleculeAlgorithmCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMoleculeAlgorithm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMoleculeInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddInputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInputData\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetMoleculeInput" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMoleculeAlgorithm *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule *GetOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule *GetOutput(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutput */
    if ( strcmp ( argv[2], "SetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object for a port on this algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutput(vtkMolecule *d);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for SetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetInput(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMoleculeInput */
    if ( strcmp ( argv[2], "GetMoleculeInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMoleculeInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMoleculeInput */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMolecule *GetMoleculeInput(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for GetMoleculeInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputData(int, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInputData() for details.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInputData */
    if ( strcmp ( argv[2], "AddInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInputData */
    Tcl_DStringAppendElement ( &dString, " Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInputData() for details.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInputData(int, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkMoleculeAlgorithm" );
    /* Closing for AddInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAlgorithmCppCommand(static_cast<vtkAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
