// tcl wrapper for vtkSpatialRepresentationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpatialRepresentationFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSpatialRepresentationFilterNewCommand()
{
  vtkSpatialRepresentationFilter *temp = vtkSpatialRepresentationFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSpatialRepresentationFilterCppCommand(vtkSpatialRepresentationFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkSpatialRepresentationFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSpatialRepresentationFilterCppCommand(static_cast<vtkSpatialRepresentationFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSpatialRepresentationFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkSpatialRepresentationFilter"),vtkSpatialRepresentationFilterNewCommand,vtkSpatialRepresentationFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkSpatialRepresentationFilterCppCommand(vtkSpatialRepresentationFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSpatialRepresentationFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSpatialRepresentationFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpatialRepresentationFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSpatialRepresentationFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpatialRepresentationFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSpatialRepresentationFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpatialRepresentationFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpatialRepresentation",argv[1]))&&(argc == 3))
    {
    vtkLocator  *temp0;
    error = 0;

    temp0 = (vtkLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLocator"),interp,error));
    if (!error)
    {
    op->SetSpatialRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpatialRepresentation",argv[1]))&&(argc == 2))
    {
    vtkLocator  *temp20;
    temp20 = (op)->GetSpatialRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLocator");
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetLevels",argv[1]))&&(argc == 2))
    {
    op->ResetLevels();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateLeaves",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGenerateLeaves(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateLeaves",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGenerateLeaves();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateLeavesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateLeavesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateLeavesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateLeavesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSpatialRepresentationFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSpatialRepresentationFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSpatialRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpatialRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLevel\n",NULL);
    Tcl_AppendResult(interp,"  AddLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetLevels\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateLeaves\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateLeaves\n",NULL);
    Tcl_AppendResult(interp,"  GenerateLeavesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateLeavesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSpatialRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetSpatialRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLevel" );
    Tcl_DStringAppendElement ( &dString, "AddLevel" );
    Tcl_DStringAppendElement ( &dString, "ResetLevels" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateLeaves" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateLeaves" );
    Tcl_DStringAppendElement ( &dString, "GenerateLeavesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateLeavesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSpatialRepresentationFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpatialRepresentation */
    if ( strcmp ( argv[2], "SetSpatialRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpatialRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpatialRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the locator that will be used to generate the representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSpatialRepresentation(vtkLocator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for SetSpatialRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpatialRepresentation */
    if ( strcmp ( argv[2], "GetSpatialRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpatialRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpatialRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the locator that will be used to generate the representation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator *GetSpatialRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for GetSpatialRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLevel */
    if ( strcmp ( argv[2], "GetMaximumLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLevel */
    Tcl_DStringAppendElement ( &dString, " Get the maximum level that is available. Populated during\n RequestData().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for GetMaximumLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLevel */
    if ( strcmp ( argv[2], "AddLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLevel */
    Tcl_DStringAppendElement ( &dString, " Add a level to be computed.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLevel(int level);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for AddLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetLevels */
    if ( strcmp ( argv[2], "ResetLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetLevels */
    Tcl_DStringAppendElement ( &dString, " Remove all levels.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetLevels();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for ResetLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateLeaves */
    if ( strcmp ( argv[2], "SetGenerateLeaves" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateLeaves" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateLeaves */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of leaf nodes. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateLeaves(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for SetGenerateLeaves */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateLeaves */
    if ( strcmp ( argv[2], "GetGenerateLeaves" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateLeaves" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateLeaves */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of leaf nodes. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGenerateLeaves();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for GetGenerateLeaves */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateLeavesOn */
    if ( strcmp ( argv[2], "GenerateLeavesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateLeavesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateLeavesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of leaf nodes. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateLeavesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for GenerateLeavesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateLeavesOff */
    if ( strcmp ( argv[2], "GenerateLeavesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateLeavesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateLeavesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of leaf nodes. Off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateLeavesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpatialRepresentationFilter" );
    /* Closing for GenerateLeavesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
