#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkBSplineTransform_TclCreate(Tcl_Interp *interp);
int vtkDepthSortPolyData_TclCreate(Tcl_Interp *interp);
int vtkDSPFilterDefinition_TclCreate(Tcl_Interp *interp);
int vtkDSPFilterGroup_TclCreate(Tcl_Interp *interp);
int vtkEarthSource_TclCreate(Tcl_Interp *interp);
int vtkFacetReader_TclCreate(Tcl_Interp *interp);
int vtkGreedyTerrainDecimation_TclCreate(Tcl_Interp *interp);
int vtkGridTransform_TclCreate(Tcl_Interp *interp);
int vtkImageToPolyDataFilter_TclCreate(Tcl_Interp *interp);
int vtkImplicitModeller_TclCreate(Tcl_Interp *interp);
int vtkPCAAnalysisFilter_TclCreate(Tcl_Interp *interp);
int vtkPolyDataSilhouette_TclCreate(Tcl_Interp *interp);
int vtkProcrustesAlignmentFilter_TclCreate(Tcl_Interp *interp);
int vtkProjectedTerrainPath_TclCreate(Tcl_Interp *interp);
int vtkRenderLargeImage_TclCreate(Tcl_Interp *interp);
int vtkTemporalDataSetCache_TclCreate(Tcl_Interp *interp);
int vtkTemporalFractal_TclCreate(Tcl_Interp *interp);
int vtkTemporalInterpolator_TclCreate(Tcl_Interp *interp);
int vtkTemporalShiftScale_TclCreate(Tcl_Interp *interp);
int vtkTemporalSnapToTimeStep_TclCreate(Tcl_Interp *interp);
int vtkTransformToGrid_TclCreate(Tcl_Interp *interp);
int vtkWeightedTransformFilter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfiltershybridtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfiltershybridtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfiltershybridtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfiltershybridtcl_Init(interp);
}


int VTK_EXPORT Vtkfiltershybridtcl_Init(Tcl_Interp *interp)
{

  vtkBSplineTransform_TclCreate(interp);
  vtkDepthSortPolyData_TclCreate(interp);
  vtkDSPFilterDefinition_TclCreate(interp);
  vtkDSPFilterGroup_TclCreate(interp);
  vtkEarthSource_TclCreate(interp);
  vtkFacetReader_TclCreate(interp);
  vtkGreedyTerrainDecimation_TclCreate(interp);
  vtkGridTransform_TclCreate(interp);
  vtkImageToPolyDataFilter_TclCreate(interp);
  vtkImplicitModeller_TclCreate(interp);
  vtkPCAAnalysisFilter_TclCreate(interp);
  vtkPolyDataSilhouette_TclCreate(interp);
  vtkProcrustesAlignmentFilter_TclCreate(interp);
  vtkProjectedTerrainPath_TclCreate(interp);
  vtkRenderLargeImage_TclCreate(interp);
  vtkTemporalDataSetCache_TclCreate(interp);
  vtkTemporalFractal_TclCreate(interp);
  vtkTemporalInterpolator_TclCreate(interp);
  vtkTemporalShiftScale_TclCreate(interp);
  vtkTemporalSnapToTimeStep_TclCreate(interp);
  vtkTransformToGrid_TclCreate(interp);
  vtkWeightedTransformFilter_TclCreate(interp);
  char pkgName[]="vtkFiltersHybridTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
