// tcl wrapper for vtkRCalculatorFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRCalculatorFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRCalculatorFilterNewCommand()
{
  vtkRCalculatorFilter *temp = vtkRCalculatorFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRCalculatorFilterCppCommand(vtkRCalculatorFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkRCalculatorFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRCalculatorFilterCppCommand(static_cast<vtkRCalculatorFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRCalculatorFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkRCalculatorFilter"),vtkRCalculatorFilterNewCommand,vtkRCalculatorFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkRCalculatorFilterCppCommand(vtkRCalculatorFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRCalculatorFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRCalculatorFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRCalculatorFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRCalculatorFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRCalculatorFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRCalculatorFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRCalculatorFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("PutArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->PutArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->GetArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllPutVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPutVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllGetVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveAllGetVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PutTable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->PutTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->GetTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PutTree",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->PutTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTree",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->GetTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRscript",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRscript(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRscript",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetRscript();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScriptFname",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScriptFname(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScriptFname",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScriptFname();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRoutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRoutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRoutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRoutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimeOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBlockInfoOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBlockInfoOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockInfoOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlockInfoOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRCalculatorFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRCalculatorFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PutArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPutVariables\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllGetVariables\n",NULL);
    Tcl_AppendResult(interp,"  PutTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PutTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRscript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRscript\n",NULL);
    Tcl_AppendResult(interp,"  SetScriptFname\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScriptFname\n",NULL);
    Tcl_AppendResult(interp,"  SetRoutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRoutput\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockInfoOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockInfoOutput\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "PutArray" );
    Tcl_DStringAppendElement ( &dString, "GetArray" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPutVariables" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllGetVariables" );
    Tcl_DStringAppendElement ( &dString, "PutTable" );
    Tcl_DStringAppendElement ( &dString, "GetTable" );
    Tcl_DStringAppendElement ( &dString, "PutTree" );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    Tcl_DStringAppendElement ( &dString, "SetRscript" );
    Tcl_DStringAppendElement ( &dString, "GetRscript" );
    Tcl_DStringAppendElement ( &dString, "SetScriptFname" );
    Tcl_DStringAppendElement ( &dString, "GetScriptFname" );
    Tcl_DStringAppendElement ( &dString, "SetRoutput" );
    Tcl_DStringAppendElement ( &dString, "GetRoutput" );
    Tcl_DStringAppendElement ( &dString, "SetTimeOutput" );
    Tcl_DStringAppendElement ( &dString, "GetTimeOutput" );
    Tcl_DStringAppendElement ( &dString, "SetBlockInfoOutput" );
    Tcl_DStringAppendElement ( &dString, "GetBlockInfoOutput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRCalculatorFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PutArray */
    if ( strcmp ( argv[2], "PutArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PutArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PutArray */
    Tcl_DStringAppendElement ( &dString, " Copies vtkDataArray named NameOfVTKArray to R with variable\n name NameOfRvar.  The array must exist in the input data set.\n\n Note: for vtkArray use \"0\",\"1\",\"2\",... for NameOfVTKArray to specify the index of\n the vtkArray to pass to R.\n" );
    Tcl_DStringAppendElement ( &dString, "void PutArray(const char *NameOfVTKArray, const char *NameOfRvar);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for PutArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArray */
    if ( strcmp ( argv[2], "GetArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArray */
    Tcl_DStringAppendElement ( &dString, " Copies R variable NameOfRvar from R to the vtkDataArray named\n NameOfVTKArray.  Will replace existing vtkDataArray with the same name.\n\n Note: for vtkArray use any string for NameOfVTKArray.  The array will be appended\n to the list of vtkArrays on the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetArray(const char *NameOfVTKArray, const char *NameOfRvar);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllPutVariables */
    if ( strcmp ( argv[2], "RemoveAllPutVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPutVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllPutVariables */
    Tcl_DStringAppendElement ( &dString, " Clears the list of variables to be copied to R.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllPutVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for RemoveAllPutVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllGetVariables */
    if ( strcmp ( argv[2], "RemoveAllGetVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllGetVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllGetVariables */
    Tcl_DStringAppendElement ( &dString, " Clears the list of variables to be copied from R.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllGetVariables();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for RemoveAllGetVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PutTable */
    if ( strcmp ( argv[2], "PutTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PutTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PutTable */
    Tcl_DStringAppendElement ( &dString, " For vtkTable input to the filter.  An R list variable is created for the\n vtkTable input using PutTable().  The output of the filter can be set from\n a list variable in R using GetTable()\n" );
    Tcl_DStringAppendElement ( &dString, "void PutTable(const char *NameOfRvar);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for PutTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTable */
    if ( strcmp ( argv[2], "GetTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTable */
    Tcl_DStringAppendElement ( &dString, " For vtkTable input to the filter.  An R list variable is created for the\n vtkTable input using PutTable().  The output of the filter can be set from\n a list variable in R using GetTable()\n" );
    Tcl_DStringAppendElement ( &dString, "void GetTable(const char *NameOfRvar);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PutTree */
    if ( strcmp ( argv[2], "PutTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PutTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PutTree */
    Tcl_DStringAppendElement ( &dString, " For vtkTree input to the filter.  An R phylo tree variable is created for the\n vtkTree input using PutTree().  The output of the filter can be set from\n a phylo tree variable in R using GetTree()\n" );
    Tcl_DStringAppendElement ( &dString, "void PutTree(const char *NameOfRvar);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for PutTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTree */
    if ( strcmp ( argv[2], "GetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTree */
    Tcl_DStringAppendElement ( &dString, " For vtkTree input to the filter.  An R phylo tree variable is created for the\n vtkTree input using PutTree().  The output of the filter can be set from\n a phylo tree variable in R using GetTree()\n" );
    Tcl_DStringAppendElement ( &dString, "void GetTree(const char *NameOfRvar);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRscript */
    if ( strcmp ( argv[2], "SetRscript" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRscript" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRscript */
    Tcl_DStringAppendElement ( &dString, " Script executed by R.  Can also be set from a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRscript(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for SetRscript */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRscript */
    if ( strcmp ( argv[2], "GetRscript" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRscript" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRscript */
    Tcl_DStringAppendElement ( &dString, " Script executed by R.  Can also be set from a file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetRscript();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetRscript */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScriptFname */
    if ( strcmp ( argv[2], "SetScriptFname" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScriptFname" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScriptFname */
    Tcl_DStringAppendElement ( &dString, " Provide the R script executed by R from an input file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScriptFname(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for SetScriptFname */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScriptFname */
    if ( strcmp ( argv[2], "GetScriptFname" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScriptFname" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScriptFname */
    Tcl_DStringAppendElement ( &dString, " Provide the R script executed by R from an input file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScriptFname();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetScriptFname */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRoutput */
    if ( strcmp ( argv[2], "SetRoutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRoutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRoutput */
    Tcl_DStringAppendElement ( &dString, " Write R output to standard output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRoutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for SetRoutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRoutput */
    if ( strcmp ( argv[2], "GetRoutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRoutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRoutput */
    Tcl_DStringAppendElement ( &dString, " Write R output to standard output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRoutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetRoutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeOutput */
    if ( strcmp ( argv[2], "SetTimeOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeOutput */
    Tcl_DStringAppendElement ( &dString, " Pass VTK time information to R.\n If turned turned on, the filter will create three variables in R.\n The variables will be update automatically as time\n changes in the VTK pipeline.\n VTK_TIME_STEPS - array of all available time values.\n VTK_TIME_RANGE- array of minimum and maximum time values.\n VTK_CURRENT_TIME - floating point time value at the current time index.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeOutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for SetTimeOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeOutput */
    if ( strcmp ( argv[2], "GetTimeOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeOutput */
    Tcl_DStringAppendElement ( &dString, " Pass VTK time information to R.\n If turned turned on, the filter will create three variables in R.\n The variables will be update automatically as time\n changes in the VTK pipeline.\n VTK_TIME_STEPS - array of all available time values.\n VTK_TIME_RANGE- array of minimum and maximum time values.\n VTK_CURRENT_TIME - floating point time value at the current time index.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimeOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetTimeOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlockInfoOutput */
    if ( strcmp ( argv[2], "SetBlockInfoOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlockInfoOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlockInfoOutput */
    Tcl_DStringAppendElement ( &dString, " Create VTK_BLOCK_ID variable in R when processing composite data sets.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlockInfoOutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for SetBlockInfoOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockInfoOutput */
    if ( strcmp ( argv[2], "GetBlockInfoOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockInfoOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockInfoOutput */
    Tcl_DStringAppendElement ( &dString, " Create VTK_BLOCK_ID variable in R when processing composite data sets.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlockInfoOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkRCalculatorFilter" );
    /* Closing for GetBlockInfoOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
