#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkExporter_TclCreate(Tcl_Interp *interp);
int vtkIVExporter_TclCreate(Tcl_Interp *interp);
int vtkOBJExporter_TclCreate(Tcl_Interp *interp);
int vtkOOGLExporter_TclCreate(Tcl_Interp *interp);
int vtkPOVExporter_TclCreate(Tcl_Interp *interp);
int vtkRIBExporter_TclCreate(Tcl_Interp *interp);
int vtkRIBLight_TclCreate(Tcl_Interp *interp);
int vtkRIBProperty_TclCreate(Tcl_Interp *interp);
int vtkVRMLExporter_TclCreate(Tcl_Interp *interp);
int vtkX3DExporter_TclCreate(Tcl_Interp *interp);
int vtkGL2PSExporter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioexporttcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioexporttcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioexporttcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioexporttcl_Init(interp);
}


int VTK_EXPORT Vtkioexporttcl_Init(Tcl_Interp *interp)
{

  vtkExporter_TclCreate(interp);
  vtkIVExporter_TclCreate(interp);
  vtkOBJExporter_TclCreate(interp);
  vtkOOGLExporter_TclCreate(interp);
  vtkPOVExporter_TclCreate(interp);
  vtkRIBExporter_TclCreate(interp);
  vtkRIBLight_TclCreate(interp);
  vtkRIBProperty_TclCreate(interp);
  vtkVRMLExporter_TclCreate(interp);
  vtkX3DExporter_TclCreate(interp);
  vtkGL2PSExporter_TclCreate(interp);
  char pkgName[]="vtkIOExportTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
