#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAVSucdReader_TclCreate(Tcl_Interp *interp);
int vtkBYUReader_TclCreate(Tcl_Interp *interp);
int vtkBYUWriter_TclCreate(Tcl_Interp *interp);
int vtkChacoReader_TclCreate(Tcl_Interp *interp);
int vtkFacetWriter_TclCreate(Tcl_Interp *interp);
int vtkFLUENTReader_TclCreate(Tcl_Interp *interp);
int vtkGAMBITReader_TclCreate(Tcl_Interp *interp);
int vtkGaussianCubeReader_TclCreate(Tcl_Interp *interp);
int vtkIVWriter_TclCreate(Tcl_Interp *interp);
int vtkMCubesReader_TclCreate(Tcl_Interp *interp);
int vtkMCubesWriter_TclCreate(Tcl_Interp *interp);
int vtkMFIXReader_TclCreate(Tcl_Interp *interp);
int vtkMoleculeReaderBase_TclCreate(Tcl_Interp *interp);
int vtkMultiBlockPLOT3DReader_TclCreate(Tcl_Interp *interp);
int vtkOBJReader_TclCreate(Tcl_Interp *interp);
int vtkOpenFOAMReader_TclCreate(Tcl_Interp *interp);
int vtkParticleReader_TclCreate(Tcl_Interp *interp);
int vtkPDBReader_TclCreate(Tcl_Interp *interp);
int vtkPlot3DMetaReader_TclCreate(Tcl_Interp *interp);
int vtkProStarReader_TclCreate(Tcl_Interp *interp);
int vtkSESAMEReader_TclCreate(Tcl_Interp *interp);
int vtkSTLReader_TclCreate(Tcl_Interp *interp);
int vtkSTLWriter_TclCreate(Tcl_Interp *interp);
int vtkTecplotReader_TclCreate(Tcl_Interp *interp);
int vtkUGFacetReader_TclCreate(Tcl_Interp *interp);
int vtkWindBladeReader_TclCreate(Tcl_Interp *interp);
int vtkXYZMolReader_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkiogeometrytcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkiogeometrytcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkiogeometrytcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkiogeometrytcl_Init(interp);
}


int VTK_EXPORT Vtkiogeometrytcl_Init(Tcl_Interp *interp)
{

  vtkAVSucdReader_TclCreate(interp);
  vtkBYUReader_TclCreate(interp);
  vtkBYUWriter_TclCreate(interp);
  vtkChacoReader_TclCreate(interp);
  vtkFacetWriter_TclCreate(interp);
  vtkFLUENTReader_TclCreate(interp);
  vtkGAMBITReader_TclCreate(interp);
  vtkGaussianCubeReader_TclCreate(interp);
  vtkIVWriter_TclCreate(interp);
  vtkMCubesReader_TclCreate(interp);
  vtkMCubesWriter_TclCreate(interp);
  vtkMFIXReader_TclCreate(interp);
  vtkMoleculeReaderBase_TclCreate(interp);
  vtkMultiBlockPLOT3DReader_TclCreate(interp);
  vtkOBJReader_TclCreate(interp);
  vtkOpenFOAMReader_TclCreate(interp);
  vtkParticleReader_TclCreate(interp);
  vtkPDBReader_TclCreate(interp);
  vtkPlot3DMetaReader_TclCreate(interp);
  vtkProStarReader_TclCreate(interp);
  vtkSESAMEReader_TclCreate(interp);
  vtkSTLReader_TclCreate(interp);
  vtkSTLWriter_TclCreate(interp);
  vtkTecplotReader_TclCreate(interp);
  vtkUGFacetReader_TclCreate(interp);
  vtkWindBladeReader_TclCreate(interp);
  vtkXYZMolReader_TclCreate(interp);
  char pkgName[]="vtkIOGeometryTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
