#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkBiomTableReader_TclCreate(Tcl_Interp *interp);
int vtkChacoGraphReader_TclCreate(Tcl_Interp *interp);
int vtkDelimitedTextReader_TclCreate(Tcl_Interp *interp);
int vtkDIMACSGraphReader_TclCreate(Tcl_Interp *interp);
int vtkDIMACSGraphWriter_TclCreate(Tcl_Interp *interp);
int vtkFixedWidthTextReader_TclCreate(Tcl_Interp *interp);
int vtkISIReader_TclCreate(Tcl_Interp *interp);
int vtkMultiNewickTreeReader_TclCreate(Tcl_Interp *interp);
int vtkNewickTreeReader_TclCreate(Tcl_Interp *interp);
int vtkRISReader_TclCreate(Tcl_Interp *interp);
int vtkTulipReader_TclCreate(Tcl_Interp *interp);
int vtkXGMLReader_TclCreate(Tcl_Interp *interp);
int vtkXMLTreeReader_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioinfovistcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioinfovistcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioinfovistcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioinfovistcl_Init(interp);
}


int VTK_EXPORT Vtkioinfovistcl_Init(Tcl_Interp *interp)
{

  vtkBiomTableReader_TclCreate(interp);
  vtkChacoGraphReader_TclCreate(interp);
  vtkDelimitedTextReader_TclCreate(interp);
  vtkDIMACSGraphReader_TclCreate(interp);
  vtkDIMACSGraphWriter_TclCreate(interp);
  vtkFixedWidthTextReader_TclCreate(interp);
  vtkISIReader_TclCreate(interp);
  vtkMultiNewickTreeReader_TclCreate(interp);
  vtkNewickTreeReader_TclCreate(interp);
  vtkRISReader_TclCreate(interp);
  vtkTulipReader_TclCreate(interp);
  vtkXGMLReader_TclCreate(interp);
  vtkXMLTreeReader_TclCreate(interp);
  char pkgName[]="vtkIOInfovisTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
