#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkCompositeDataReader_TclCreate(Tcl_Interp *interp);
int vtkCompositeDataWriter_TclCreate(Tcl_Interp *interp);
int vtkDataObjectReader_TclCreate(Tcl_Interp *interp);
int vtkDataObjectWriter_TclCreate(Tcl_Interp *interp);
int vtkDataReader_TclCreate(Tcl_Interp *interp);
int vtkDataSetReader_TclCreate(Tcl_Interp *interp);
int vtkDataSetWriter_TclCreate(Tcl_Interp *interp);
int vtkDataWriter_TclCreate(Tcl_Interp *interp);
int vtkGenericDataObjectReader_TclCreate(Tcl_Interp *interp);
int vtkGenericDataObjectWriter_TclCreate(Tcl_Interp *interp);
int vtkGraphReader_TclCreate(Tcl_Interp *interp);
int vtkGraphWriter_TclCreate(Tcl_Interp *interp);
int vtkPolyDataReader_TclCreate(Tcl_Interp *interp);
int vtkPolyDataWriter_TclCreate(Tcl_Interp *interp);
int vtkRectilinearGridReader_TclCreate(Tcl_Interp *interp);
int vtkRectilinearGridWriter_TclCreate(Tcl_Interp *interp);
int vtkSimplePointsReader_TclCreate(Tcl_Interp *interp);
int vtkSimplePointsWriter_TclCreate(Tcl_Interp *interp);
int vtkStructuredGridReader_TclCreate(Tcl_Interp *interp);
int vtkStructuredGridWriter_TclCreate(Tcl_Interp *interp);
int vtkStructuredPointsReader_TclCreate(Tcl_Interp *interp);
int vtkStructuredPointsWriter_TclCreate(Tcl_Interp *interp);
int vtkTableReader_TclCreate(Tcl_Interp *interp);
int vtkTableWriter_TclCreate(Tcl_Interp *interp);
int vtkTreeReader_TclCreate(Tcl_Interp *interp);
int vtkTreeWriter_TclCreate(Tcl_Interp *interp);
int vtkUnstructuredGridReader_TclCreate(Tcl_Interp *interp);
int vtkUnstructuredGridWriter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkiolegacytcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkiolegacytcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkiolegacytcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkiolegacytcl_Init(interp);
}


int VTK_EXPORT Vtkiolegacytcl_Init(Tcl_Interp *interp)
{

  vtkCompositeDataReader_TclCreate(interp);
  vtkCompositeDataWriter_TclCreate(interp);
  vtkDataObjectReader_TclCreate(interp);
  vtkDataObjectWriter_TclCreate(interp);
  vtkDataReader_TclCreate(interp);
  vtkDataSetReader_TclCreate(interp);
  vtkDataSetWriter_TclCreate(interp);
  vtkDataWriter_TclCreate(interp);
  vtkGenericDataObjectReader_TclCreate(interp);
  vtkGenericDataObjectWriter_TclCreate(interp);
  vtkGraphReader_TclCreate(interp);
  vtkGraphWriter_TclCreate(interp);
  vtkPolyDataReader_TclCreate(interp);
  vtkPolyDataWriter_TclCreate(interp);
  vtkRectilinearGridReader_TclCreate(interp);
  vtkRectilinearGridWriter_TclCreate(interp);
  vtkSimplePointsReader_TclCreate(interp);
  vtkSimplePointsWriter_TclCreate(interp);
  vtkStructuredGridReader_TclCreate(interp);
  vtkStructuredGridWriter_TclCreate(interp);
  vtkStructuredPointsReader_TclCreate(interp);
  vtkStructuredPointsWriter_TclCreate(interp);
  vtkTableReader_TclCreate(interp);
  vtkTableWriter_TclCreate(interp);
  vtkTreeReader_TclCreate(interp);
  vtkTreeWriter_TclCreate(interp);
  vtkUnstructuredGridReader_TclCreate(interp);
  vtkUnstructuredGridWriter_TclCreate(interp);
  char pkgName[]="vtkIOLegacyTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
