// tcl wrapper for vtkHardwareSelectionPolyDataPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHardwareSelectionPolyDataPainter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkHardwareSelectionPolyDataPainterNewCommand()
{
  vtkHardwareSelectionPolyDataPainter *temp = vtkHardwareSelectionPolyDataPainter::New();
  return static_cast<ClientData>(temp);
}

int vtkStandardPolyDataPainterCppCommand(vtkStandardPolyDataPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHardwareSelectionPolyDataPainterCppCommand(vtkHardwareSelectionPolyDataPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkHardwareSelectionPolyDataPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkHardwareSelectionPolyDataPainterCppCommand(static_cast<vtkHardwareSelectionPolyDataPainter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHardwareSelectionPolyDataPainter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkHardwareSelectionPolyDataPainter"),vtkHardwareSelectionPolyDataPainterNewCommand,vtkHardwareSelectionPolyDataPainterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkHardwareSelectionPolyDataPainterCppCommand(vtkHardwareSelectionPolyDataPainter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkHardwareSelectionPolyDataPainter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkStandardPolyDataPainterCppCommand(static_cast<vtkStandardPolyDataPainter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkStandardPolyDataPainter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkHardwareSelectionPolyDataPainter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHardwareSelectionPolyDataPainter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkHardwareSelectionPolyDataPainter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHardwareSelectionPolyDataPainter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkHardwareSelectionPolyDataPainter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHardwareSelectionPolyDataPainter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnableSelection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableSelection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableSelectionOn",argv[1]))&&(argc == 2))
    {
    op->EnableSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableSelectionOff",argv[1]))&&(argc == 2))
    {
    op->EnableSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPointIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPointIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCellIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCellIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCellIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetProcessIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetProcessIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetProcessIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCompositeIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCompositeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositeIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCompositeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkHardwareSelectionPolyDataPainterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStandardPolyDataPainterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHardwareSelectionPolyDataPainter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableSelection\n",NULL);
    Tcl_AppendResult(interp,"  EnableSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  EnableSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetCellIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetCompositeIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeIdArrayName\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkStandardPolyDataPainterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnableSelection" );
    Tcl_DStringAppendElement ( &dString, "GetEnableSelection" );
    Tcl_DStringAppendElement ( &dString, "EnableSelectionOn" );
    Tcl_DStringAppendElement ( &dString, "EnableSelectionOff" );
    Tcl_DStringAppendElement ( &dString, "SetPointIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCellIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetProcessIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetProcessIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCompositeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeIdArrayName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkStandardPolyDataPainterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHardwareSelectionPolyDataPainter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableSelection */
    if ( strcmp ( argv[2], "SetEnableSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableSelection */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableSelection(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for SetEnableSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableSelection */
    if ( strcmp ( argv[2], "GetEnableSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableSelection */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnableSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for GetEnableSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableSelectionOn */
    if ( strcmp ( argv[2], "EnableSelectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableSelectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableSelectionOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableSelectionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for EnableSelectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableSelectionOff */
    if ( strcmp ( argv[2], "EnableSelectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableSelectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableSelectionOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable vtkHardwareSelector class. Useful when using this painter as\n an internal painter. Default is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableSelectionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for EnableSelectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointIdArrayName */
    if ( strcmp ( argv[2], "SetPointIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this painters uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for SetPointIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointIdArrayName */
    if ( strcmp ( argv[2], "GetPointIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this painters uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPointIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for GetPointIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellIdArrayName */
    if ( strcmp ( argv[2], "SetCellIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this painters uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for SetCellIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellIdArrayName */
    if ( strcmp ( argv[2], "GetCellIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellIdArrayName */
    Tcl_DStringAppendElement ( &dString, " By default, this painters uses the dataset's point and cell ids during\n rendering. However, one can override those by specifying cell and point\n data arrays to use instead. Currently, only vtkIdType array is supported.\n Set to NULL string (default) to use the point ids instead.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCellIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for GetCellIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProcessIdArrayName */
    if ( strcmp ( argv[2], "SetProcessIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessIdArrayName */
    Tcl_DStringAppendElement ( &dString, " If the painter should override the process id using a data-array,\n set this variable to the name of the array to use. It must be a\n point-array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProcessIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for SetProcessIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessIdArrayName */
    if ( strcmp ( argv[2], "GetProcessIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessIdArrayName */
    Tcl_DStringAppendElement ( &dString, " If the painter should override the process id using a data-array,\n set this variable to the name of the array to use. It must be a\n point-array.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetProcessIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for GetProcessIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompositeIdArrayName */
    if ( strcmp ( argv[2], "SetCompositeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompositeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompositeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Generally, vtkCompositePainter can render the composite id when iterating\n over composite datasets. However in some cases (as in AMR), the rendered\n structure may not correspond to the input data, in which case we need\n to provide a cell array that can be used to render in the composite id in\n selection passes. Set to NULL (default) to not override the composite id\n color set by vtkCompositePainter if any.\n The array *MUST* be a cell array and of type vtkUnsignedIntAr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompositeIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for SetCompositeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeIdArrayName */
    if ( strcmp ( argv[2], "GetCompositeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Generally, vtkCompositePainter can render the composite id when iterating\n over composite datasets. However in some cases (as in AMR), the rendered\n structure may not correspond to the input data, in which case we need\n to provide a cell array that can be used to render in the composite id in\n selection passes. Set to NULL (default) to not override the composite id\n color set by vtkCompositePainter if any.\n The array *MUST* be a cell array and of type vtkUnsignedIntAr ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCompositeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelectionPolyDataPainter" );
    /* Closing for GetCompositeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkStandardPolyDataPainterCppCommand(static_cast<vtkStandardPolyDataPainter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
