// java wrapper for vtkTextRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextRenderer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextRenderer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextRenderer",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextRenderer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextRenderer *op;
  const char    *temp20;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextRenderer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextRenderer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTextRenderer_GetInstance_12(JNIEnv *env, jobject obj)
{
  vtkTextRenderer *op;
  vtkTextRenderer  *temp20;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInstance();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextRenderer_SetDefaultBackend_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultBackend(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextRenderer_GetDefaultBackend_14(JNIEnv *env, jobject obj)
{
  vtkTextRenderer *op;
  int      temp20;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultBackend();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextRenderer_DetectBackend_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextRenderer *op;
  vtkStdString temp0;
  int      temp20;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DetectBackend(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextRenderer_FreeTypeIsSupported_16(JNIEnv *env, jobject obj)
{
  vtkTextRenderer *op;
  bool   temp20;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FreeTypeIsSupported();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextRenderer_MathTextIsSupported_17(JNIEnv *env, jobject obj)
{
  vtkTextRenderer *op;
  bool   temp20;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MathTextIsSupported();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextRenderer_GetBoundingBox_18(JNIEnv *env, jobject obj,jobject id0,jstring id1,jintArray id2,jint id3,jint id4)
{
  vtkTextRenderer *op;
  vtkTextProperty  *temp0;
  vtkStdString temp1;
  int    temp2[4];
  void *tempArray2;
  int      temp3;
  int      temp4;
  bool   temp20;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);
  tempArray2 = (void *)(env->GetIntArrayElements(id2,NULL));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];
  temp2[3] = ((jint *)tempArray2)[3];
  temp3 = id3;
  temp4 = id4;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundingBox(temp0,temp1,temp2,temp3,temp4);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  ((jint *)tempArray2)[3] = temp2[3];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextRenderer_RenderString_19(JNIEnv *env, jobject obj,jobject id0,jstring id1,jobject id2,jintArray id3,jint id4,jint id5)
{
  vtkTextRenderer *op;
  vtkTextProperty  *temp0;
  vtkStdString temp1;
  vtkImageData  *temp2;
  int    temp3[2];
  void *tempArray3;
  int      temp4;
  int      temp5;
  bool   temp20;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  temp4 = id4;
  temp5 = id5;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderString(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextRenderer_GetConstrainedFontSize_110(JNIEnv *env, jobject obj,jstring id0,jobject id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkTextRenderer *op;
  vtkStdString temp0;
  vtkTextProperty  *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConstrainedFontSize(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextRenderer_StringToPath_111(JNIEnv *env, jobject obj,jobject id0,jstring id1,jobject id2,jint id3)
{
  vtkTextRenderer *op;
  vtkTextProperty  *temp0;
  vtkStdString temp1;
  vtkPath  *temp2;
  int      temp3;
  bool   temp20;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);
  temp2 = (vtkPath *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->StringToPath(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextRenderer_SetScaleToPowerOfTwo_112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTextRenderer *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleToPowerOfTwo(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextRenderer_VTKInit(JNIEnv *, jobject)
{
  vtkTextRenderer *aNewOne = vtkTextRenderer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
