#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageDataLIC2D_TclCreate(Tcl_Interp *interp);
int vtkImageDataLIC2DExtentTranslator_TclCreate(Tcl_Interp *interp);
int vtkStructuredGridLIC2D_TclCreate(Tcl_Interp *interp);
int vtkSurfaceLICDefaultPainter_TclCreate(Tcl_Interp *interp);
int vtkSurfaceLICPainter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkrenderinghybridopengltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkrenderinghybridopengltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkrenderinghybridopengltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkrenderinghybridopengltcl_Init(interp);
}


int VTK_EXPORT Vtkrenderinghybridopengltcl_Init(Tcl_Interp *interp)
{

  vtkImageDataLIC2D_TclCreate(interp);
  vtkImageDataLIC2DExtentTranslator_TclCreate(interp);
  vtkStructuredGridLIC2D_TclCreate(interp);
  vtkSurfaceLICDefaultPainter_TclCreate(interp);
  vtkSurfaceLICPainter_TclCreate(interp);
  char pkgName[]="vtkRenderingHybridOpenGLTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
