#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkLabeledDataMapper_TclCreate(Tcl_Interp *interp);
int vtkLabeledTreeMapDataMapper_TclCreate(Tcl_Interp *interp);
int vtkLabelHierarchyAlgorithm_TclCreate(Tcl_Interp *interp);
int vtkLabelHierarchyCompositeIterator_TclCreate(Tcl_Interp *interp);
int vtkLabelHierarchy_TclCreate(Tcl_Interp *interp);
int vtkLabelHierarchyIterator_TclCreate(Tcl_Interp *interp);
int vtkLabelPlacementMapper_TclCreate(Tcl_Interp *interp);
int vtkLabelPlacer_TclCreate(Tcl_Interp *interp);
int vtkLabelRenderStrategy_TclCreate(Tcl_Interp *interp);
int vtkLabelSizeCalculator_TclCreate(Tcl_Interp *interp);
int vtkFreeTypeLabelRenderStrategy_TclCreate(Tcl_Interp *interp);
int vtkDynamic2DLabelMapper_TclCreate(Tcl_Interp *interp);
int vtkPointSetToLabelHierarchy_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkrenderinglabeltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkrenderinglabeltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkrenderinglabeltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkrenderinglabeltcl_Init(interp);
}


int VTK_EXPORT Vtkrenderinglabeltcl_Init(Tcl_Interp *interp)
{

  vtkLabeledDataMapper_TclCreate(interp);
  vtkLabeledTreeMapDataMapper_TclCreate(interp);
  vtkLabelHierarchyAlgorithm_TclCreate(interp);
  vtkLabelHierarchyCompositeIterator_TclCreate(interp);
  vtkLabelHierarchy_TclCreate(interp);
  vtkLabelHierarchyIterator_TclCreate(interp);
  vtkLabelPlacementMapper_TclCreate(interp);
  vtkLabelPlacer_TclCreate(interp);
  vtkLabelRenderStrategy_TclCreate(interp);
  vtkLabelSizeCalculator_TclCreate(interp);
  vtkFreeTypeLabelRenderStrategy_TclCreate(interp);
  vtkDynamic2DLabelMapper_TclCreate(interp);
  vtkPointSetToLabelHierarchy_TclCreate(interp);
  char pkgName[]="vtkRenderingLabelTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
