#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkCameraPass_TclCreate(Tcl_Interp *interp);
int vtkClearZPass_TclCreate(Tcl_Interp *interp);
int vtkColorMaterialHelper_TclCreate(Tcl_Interp *interp);
int vtkDataTransferHelper_TclCreate(Tcl_Interp *interp);
int vtkDefaultPass_TclCreate(Tcl_Interp *interp);
int vtkDepthPeelingPass_TclCreate(Tcl_Interp *interp);
int vtkFrameBufferObject_TclCreate(Tcl_Interp *interp);
int vtkGaussianBlurPass_TclCreate(Tcl_Interp *interp);
int vtkGenericOpenGLRenderWindow_TclCreate(Tcl_Interp *interp);
int vtkImageProcessingPass_TclCreate(Tcl_Interp *interp);
int vtkLightsPass_TclCreate(Tcl_Interp *interp);
int vtkLineIntegralConvolution2D_TclCreate(Tcl_Interp *interp);
int vtkOpaquePass_TclCreate(Tcl_Interp *interp);
int vtkOpenGLActor_TclCreate(Tcl_Interp *interp);
int vtkOpenGLCamera_TclCreate(Tcl_Interp *interp);
int vtkOpenGLClipPlanesPainter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLCoincidentTopologyResolutionPainter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLCompositePainter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLDisplayListPainter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLExtensionManager_TclCreate(Tcl_Interp *interp);
int vtkOpenGLGlyph3DMapper_TclCreate(Tcl_Interp *interp);
int vtkOpenGLHardwareSupport_TclCreate(Tcl_Interp *interp);
int vtkOpenGLImageMapper_TclCreate(Tcl_Interp *interp);
int vtkOpenGLImageSliceMapper_TclCreate(Tcl_Interp *interp);
int vtkOpenGLLight_TclCreate(Tcl_Interp *interp);
int vtkOpenGLLightingPainter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLPainterDeviceAdapter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLPolyDataMapper2D_TclCreate(Tcl_Interp *interp);
int vtkOpenGLPolyDataMapper_TclCreate(Tcl_Interp *interp);
int vtkOpenGLProperty_TclCreate(Tcl_Interp *interp);
int vtkOpenGLRenderer_TclCreate(Tcl_Interp *interp);
int vtkOpenGLRenderWindow_TclCreate(Tcl_Interp *interp);
int vtkOpenGLRepresentationPainter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLScalarsToColorsPainter_TclCreate(Tcl_Interp *interp);
int vtkOpenGLTexture_TclCreate(Tcl_Interp *interp);
int vtkOverlayPass_TclCreate(Tcl_Interp *interp);
int vtkPixelBufferObject_TclCreate(Tcl_Interp *interp);
int vtkRenderPassCollection_TclCreate(Tcl_Interp *interp);
int vtkRenderPass_TclCreate(Tcl_Interp *interp);
int vtkSequencePass_TclCreate(Tcl_Interp *interp);
int vtkShadowMapBakerPass_TclCreate(Tcl_Interp *interp);
int vtkShadowMapPass_TclCreate(Tcl_Interp *interp);
int vtkSobelGradientMagnitudePass_TclCreate(Tcl_Interp *interp);
int vtkTextureObject_TclCreate(Tcl_Interp *interp);
int vtkTranslucentPass_TclCreate(Tcl_Interp *interp);
int vtkUniformVariables_TclCreate(Tcl_Interp *interp);
int vtkVolumetricPass_TclCreate(Tcl_Interp *interp);
int vtkGLSLShaderDeviceAdapter_TclCreate(Tcl_Interp *interp);
int vtkGLSLShaderDeviceAdapter2_TclCreate(Tcl_Interp *interp);
int vtkGLSLShader_TclCreate(Tcl_Interp *interp);
int vtkGLSLShaderProgram_TclCreate(Tcl_Interp *interp);
int vtkXRenderWindowInteractor_TclCreate(Tcl_Interp *interp);
int vtkXOpenGLRenderWindow_TclCreate(Tcl_Interp *interp);
int vtkDummyGPUInfoList_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkrenderingopengltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkrenderingopengltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkrenderingopengltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkrenderingopengltcl_Init(interp);
}


int VTK_EXPORT Vtkrenderingopengltcl_Init(Tcl_Interp *interp)
{

  vtkCameraPass_TclCreate(interp);
  vtkClearZPass_TclCreate(interp);
  vtkColorMaterialHelper_TclCreate(interp);
  vtkDataTransferHelper_TclCreate(interp);
  vtkDefaultPass_TclCreate(interp);
  vtkDepthPeelingPass_TclCreate(interp);
  vtkFrameBufferObject_TclCreate(interp);
  vtkGaussianBlurPass_TclCreate(interp);
  vtkGenericOpenGLRenderWindow_TclCreate(interp);
  vtkImageProcessingPass_TclCreate(interp);
  vtkLightsPass_TclCreate(interp);
  vtkLineIntegralConvolution2D_TclCreate(interp);
  vtkOpaquePass_TclCreate(interp);
  vtkOpenGLActor_TclCreate(interp);
  vtkOpenGLCamera_TclCreate(interp);
  vtkOpenGLClipPlanesPainter_TclCreate(interp);
  vtkOpenGLCoincidentTopologyResolutionPainter_TclCreate(interp);
  vtkOpenGLCompositePainter_TclCreate(interp);
  vtkOpenGLDisplayListPainter_TclCreate(interp);
  vtkOpenGLExtensionManager_TclCreate(interp);
  vtkOpenGLGlyph3DMapper_TclCreate(interp);
  vtkOpenGLHardwareSupport_TclCreate(interp);
  vtkOpenGLImageMapper_TclCreate(interp);
  vtkOpenGLImageSliceMapper_TclCreate(interp);
  vtkOpenGLLight_TclCreate(interp);
  vtkOpenGLLightingPainter_TclCreate(interp);
  vtkOpenGLPainterDeviceAdapter_TclCreate(interp);
  vtkOpenGLPolyDataMapper2D_TclCreate(interp);
  vtkOpenGLPolyDataMapper_TclCreate(interp);
  vtkOpenGLProperty_TclCreate(interp);
  vtkOpenGLRenderer_TclCreate(interp);
  vtkOpenGLRenderWindow_TclCreate(interp);
  vtkOpenGLRepresentationPainter_TclCreate(interp);
  vtkOpenGLScalarsToColorsPainter_TclCreate(interp);
  vtkOpenGLTexture_TclCreate(interp);
  vtkOverlayPass_TclCreate(interp);
  vtkPixelBufferObject_TclCreate(interp);
  vtkRenderPassCollection_TclCreate(interp);
  vtkRenderPass_TclCreate(interp);
  vtkSequencePass_TclCreate(interp);
  vtkShadowMapBakerPass_TclCreate(interp);
  vtkShadowMapPass_TclCreate(interp);
  vtkSobelGradientMagnitudePass_TclCreate(interp);
  vtkTextureObject_TclCreate(interp);
  vtkTranslucentPass_TclCreate(interp);
  vtkUniformVariables_TclCreate(interp);
  vtkVolumetricPass_TclCreate(interp);
  vtkGLSLShaderDeviceAdapter_TclCreate(interp);
  vtkGLSLShaderDeviceAdapter2_TclCreate(interp);
  vtkGLSLShader_TclCreate(interp);
  vtkGLSLShaderProgram_TclCreate(interp);
  vtkXRenderWindowInteractor_TclCreate(interp);
  vtkXOpenGLRenderWindow_TclCreate(interp);
  vtkDummyGPUInfoList_TclCreate(interp);
  char pkgName[]="vtkRenderingOpenGLTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
