// tcl wrapper for vtkAMRVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAMRVolumeMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAMRVolumeMapperNewCommand()
{
  vtkAMRVolumeMapper *temp = vtkAMRVolumeMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAMRVolumeMapperCppCommand(vtkAMRVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAMRVolumeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAMRVolumeMapperCppCommand(static_cast<vtkAMRVolumeMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAMRVolumeMapper_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkAMRVolumeMapper"),vtkAMRVolumeMapperNewCommand,vtkAMRVolumeMapperCommand);
  return 0;
}

int VTKTCL_EXPORT vtkAMRVolumeMapperCppCommand(vtkAMRVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAMRVolumeMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAMRVolumeMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAMRVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAMRVolumeMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAMRVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAMRVolumeMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAMRVolumeMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputData",argv[1]))&&(argc == 3))
    {
    vtkOverlappingAMR  *temp0;
    error = 0;

    temp0 = (vtkOverlappingAMR *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkOverlappingAMR"),interp,error));
    if (!error)
    {
    op->SetInputData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBlendMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBlendMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlendMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlendMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectScalarArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectScalarArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectScalarArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectScalarArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetArrayId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayAccessMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayAccessMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCropping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCropping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCropping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCropping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCroppingRegionPlanes",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCroppingRegionFlags",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCroppingRegionFlags(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCroppingRegionFlags",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingRegionFlags();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRequestedRenderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestedRenderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRequestedRenderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderModeToRayCastAndTexture",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToRayCastAndTexture();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderModeToRayCast",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToRayCast();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderModeToTexture",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToTexture();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderModeToGPU",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToGPU();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToNearestNeighbor",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToNearestNeighbor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToCubic",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToCubic();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSamples",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetNumberOfSamples(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfSamples",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetNumberOfSamples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSamples",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetNumberOfSamples();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteractiveUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractiveUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteractiveUpdateRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateResampler",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkOverlappingAMR  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkOverlappingAMR *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkOverlappingAMR"),interp,error));
    if (!error)
    {
    op->UpdateResampler(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateResamplerFrustrumMethod",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkOverlappingAMR  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkOverlappingAMR *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkOverlappingAMR"),interp,error));
    if (!error)
    {
    op->UpdateResamplerFrustrumMethod(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRequestedResamplingMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRequestedResamplingMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestedResamplingMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRequestedResamplingMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFreezeFocalPoint",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetFreezeFocalPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFreezeFocalPoint",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetFreezeFocalPoint();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResamplerUpdateTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResamplerUpdateTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResamplerUpdateTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResamplerUpdateTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseDefaultThreading",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseDefaultThreading(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseDefaultThreading",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseDefaultThreading();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAMRVolumeMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAMRVolumeMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBlendMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlendMode\n",NULL);
    Tcl_AppendResult(interp,"  SelectScalarArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectScalarArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayId\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayAccessMode\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetCropping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCropping\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionPlanes\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlags\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingRegionFlags\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestedRenderMode\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToRayCastAndTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToRayCast\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToGPU\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationMode\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToNearestNeighbor\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToCubic\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSamples\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSamples\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSamples\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateResampler\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateResamplerFrustrumMethod\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedResamplingMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestedResamplingMode\n",NULL);
    Tcl_AppendResult(interp,"  SetFreezeFocalPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFreezeFocalPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetResamplerUpdateTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResamplerUpdateTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDefaultThreading\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDefaultThreading\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    Tcl_DStringAppendElement ( &dString, "GetCropping" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlags" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderMode" );
    Tcl_DStringAppendElement ( &dString, "GetRequestedRenderMode" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCastAndTexture" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCast" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToTexture" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToGPU" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationMode" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMode" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToNearestNeighbor" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToCubic" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSamples" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSamples" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSamples" );
    Tcl_DStringAppendElement ( &dString, "SetInteractiveUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "UpdateResampler" );
    Tcl_DStringAppendElement ( &dString, "UpdateResamplerFrustrumMethod" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedResamplingMode" );
    Tcl_DStringAppendElement ( &dString, "GetRequestedResamplingMode" );
    Tcl_DStringAppendElement ( &dString, "SetFreezeFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "GetFreezeFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetResamplerUpdateTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetResamplerUpdateTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultThreading" );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultThreading" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAMRVolumeMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Set the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputData(vtkImageData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Set the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputData(vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputData */
    if ( strcmp ( argv[2], "SetInputData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputData */
    Tcl_DStringAppendElement ( &dString, " Set the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputData(vtkOverlappingAMR *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInputData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection(int port, vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set the input data\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection(vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Control how the mapper works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the mapper will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the mapper to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (Sca ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlendMode */
    if ( strcmp ( argv[2], "SetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing).\n Additive blend mode adds scalars along the ray and multiply them by\n their opacity mapping value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBlendMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlendMode */
    if ( strcmp ( argv[2], "GetBlendMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlendMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlendMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing).\n Additive blend mode adds scalars along the ray and multiply them by\n their opacity mapping value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetBlendMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetBlendMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectScalarArray */
    if ( strcmp ( argv[2], "SelectScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectScalarArray */
    Tcl_DStringAppendElement ( &dString, " When ScalarMode is set to UsePointFieldData or UseCellFieldData,\n you can specify which scalar array to use during rendering.\n The transfer function in the vtkVolumeProperty (attached to the calling\n vtkVolume) will decide how to convert vectors to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectScalarArray(int arrayNum);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SelectScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectScalarArray */
    if ( strcmp ( argv[2], "SelectScalarArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectScalarArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectScalarArray */
    Tcl_DStringAppendElement ( &dString, " When ScalarMode is set to UsePointFieldData or UseCellFieldData,\n you can specify which scalar array to use during rendering.\n The transfer function in the vtkVolumeProperty (attached to the calling\n vtkVolume) will decide how to convert vectors to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SelectScalarArray(const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SelectScalarArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayName */
    if ( strcmp ( argv[2], "GetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayName */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to use for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayId */
    if ( strcmp ( argv[2], "GetArrayId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayId */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to use for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetArrayId();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetArrayId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayAccessMode */
    if ( strcmp ( argv[2], "GetArrayAccessMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayAccessMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayAccessMode */
    Tcl_DStringAppendElement ( &dString, " Get the array name or number and component to use for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetArrayAccessMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetArrayAccessMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarModeAsString */
    if ( strcmp ( argv[2], "GetScalarModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarModeAsString */
    Tcl_DStringAppendElement ( &dString, " Return the method for obtaining scalar data.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarModeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetScalarModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCropping */
    if ( strcmp ( argv[2], "SetCropping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCropping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCropping */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCropping(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetCropping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCropping */
    if ( strcmp ( argv[2], "GetCropping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCropping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCropping */
    Tcl_DStringAppendElement ( &dString, " Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCropping();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetCropping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionPlanes */
    if ( strcmp ( argv[2], "SetCroppingRegionPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionPlanes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )\n These planes are defined in volume coordinates - spacing and origin are\n considered.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCroppingRegionPlanes(double arg1, double arg2, double arg3, double arg4, double arg5, double arg6);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetCroppingRegionPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlags */
    if ( strcmp ( argv[2], "SetCroppingRegionFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlags */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions\n start from the one containing voxel (0,0,0), moving along the x axis\n fastest, the y axis next, and the z axis slowest. These are represented\n from the lowest bit to bit number 27 in the integer containing the\n flags. There are several convenience functions to set some common\n configurations - subvolume (the default), fence (b ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCroppingRegionFlags(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetCroppingRegionFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingRegionFlags */
    if ( strcmp ( argv[2], "GetCroppingRegionFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingRegionFlags */
    Tcl_DStringAppendElement ( &dString, " Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions\n start from the one containing voxel (0,0,0), moving along the x axis\n fastest, the y axis next, and the z axis slowest. These are represented\n from the lowest bit to bit number 27 in the integer containing the\n flags. There are several convenience functions to set some common\n configurations - subvolume (the default), fence (b ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCroppingRegionFlags();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetCroppingRegionFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderMode */
    if ( strcmp ( argv[2], "SetRequestedRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderMode */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode. The default is\n vtkSmartVolumeMapper::DefaultRenderMode.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetRequestedRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequestedRenderMode */
    if ( strcmp ( argv[2], "GetRequestedRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestedRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestedRenderMode */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode. The default is\n vtkSmartVolumeMapper::DefaultRenderMode.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRequestedRenderMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetRequestedRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToDefault */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to vtkAMRVolumeMapper::DefaultRenderMode.\n This is the best option for an application that must adapt to different\n data types, hardware, and rendering parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetRequestedRenderModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToRayCastAndTexture */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToRayCastAndTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCastAndTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToRayCastAndTexture */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to\n vtkAMRVolumeMapper::RayCastAndTextureRenderMode.\n This is a good option if you want to avoid using advanced OpenGL\n functionality, but would still like to used 3D texture mapping, if\n available, for interactive rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToRayCastAndTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetRequestedRenderModeToRayCastAndTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToRayCast */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToRayCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToRayCast */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to vtkAMRVolumeMapper::RayCastRenderMode.\n This option will use software rendering exclusively. This is a good option\n if you know there is no hardware acceleration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToRayCast();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetRequestedRenderModeToRayCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToTexture */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToTexture */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to\n vtkAMRVolumeMapper::TextureRenderMode.\n This is a good option if you want to use 3D texture mapping, if\n available, for interactive rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetRequestedRenderModeToTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToGPU */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToGPU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToGPU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToGPU */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to\n vtkAMRVolumeMapper::GPURenderMode.\n This will do the volume rendering on the GPU\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToGPU();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetRequestedRenderModeToGPU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationMode */
    if ( strcmp ( argv[2], "SetInterpolationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationMode */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInterpolationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationMode */
    if ( strcmp ( argv[2], "GetInterpolationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationMode */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetInterpolationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToNearestNeighbor */
    if ( strcmp ( argv[2], "SetInterpolationModeToNearestNeighbor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToNearestNeighbor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToNearestNeighbor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToNearestNeighbor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInterpolationModeToNearestNeighbor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationModeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToLinear */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInterpolationModeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToCubic */
    if ( strcmp ( argv[2], "SetInterpolationModeToCubic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToCubic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToCubic */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToCubic();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInterpolationModeToCubic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSamples */
    if ( strcmp ( argv[2], "SetNumberOfSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSamples */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSamples(int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetNumberOfSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSamples */
    if ( strcmp ( argv[2], "SetNumberOfSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSamples */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSamples(int a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetNumberOfSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSamples */
    if ( strcmp ( argv[2], "GetNumberOfSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSamples */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetNumberOfSamples();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetNumberOfSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractiveUpdateRate */
    if ( strcmp ( argv[2], "SetInteractiveUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractiveUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractiveUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set the rate at or above this render will be considered interactive.\n If the DesiredUpdateRate of the vtkRenderWindow that caused the Render\n falls at or above this rate, the render is considered interactive and\n the mapper may be adjusted (depending on the render mode).\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractiveUpdateRate(double rate);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetInteractiveUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractiveUpdateRate */
    if ( strcmp ( argv[2], "GetInteractiveUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractiveUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Get the update rate at or above which this is considered an\n interactive render.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetInteractiveUpdateRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetInteractiveUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS\n Render the volume\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *ren, vtkVolume *vol);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateResampler */
    if ( strcmp ( argv[2], "UpdateResampler" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateResampler" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateResampler */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UpdateResampler(vtkRenderer *ren, vtkOverlappingAMR *amr);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for UpdateResampler */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateResamplerFrustrumMethod */
    if ( strcmp ( argv[2], "UpdateResamplerFrustrumMethod" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateResamplerFrustrumMethod" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkOverlappingAMR" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateResamplerFrustrumMethod */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UpdateResamplerFrustrumMethod(vtkRenderer *ren, vtkOverlappingAMR *amr);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for UpdateResamplerFrustrumMethod */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedResamplingMode */
    if ( strcmp ( argv[2], "SetRequestedResamplingMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedResamplingMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedResamplingMode */
    Tcl_DStringAppendElement ( &dString, "Select the type of resampling techinque approach to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedResamplingMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetRequestedResamplingMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequestedResamplingMode */
    if ( strcmp ( argv[2], "GetRequestedResamplingMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestedResamplingMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestedResamplingMode */
    Tcl_DStringAppendElement ( &dString, "Select the type of resampling techinque approach to use.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRequestedResamplingMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetRequestedResamplingMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFreezeFocalPoint */
    if ( strcmp ( argv[2], "SetFreezeFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFreezeFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFreezeFocalPoint */
    Tcl_DStringAppendElement ( &dString, "Select the type of resampling techinque approach to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFreezeFocalPoint(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetFreezeFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFreezeFocalPoint */
    if ( strcmp ( argv[2], "GetFreezeFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFreezeFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFreezeFocalPoint */
    Tcl_DStringAppendElement ( &dString, "Select the type of resampling techinque approach to use.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetFreezeFocalPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetFreezeFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResamplerUpdateTolerance */
    if ( strcmp ( argv[2], "SetResamplerUpdateTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResamplerUpdateTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResamplerUpdateTolerance */
    Tcl_DStringAppendElement ( &dString, "Sets/Gets the tolerance used to determine if the resampler needs\n to be updated. Default is 10e-8\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResamplerUpdateTolerance(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetResamplerUpdateTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResamplerUpdateTolerance */
    if ( strcmp ( argv[2], "GetResamplerUpdateTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResamplerUpdateTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResamplerUpdateTolerance */
    Tcl_DStringAppendElement ( &dString, "Sets/Gets the tolerance used to determine if the resampler needs\n to be updated. Default is 10e-8\n" );
    Tcl_DStringAppendElement ( &dString, "double GetResamplerUpdateTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetResamplerUpdateTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDefaultThreading */
    if ( strcmp ( argv[2], "SetUseDefaultThreading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultThreading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDefaultThreading */
    Tcl_DStringAppendElement ( &dString, "Sets/Gets a flag that indicates the internal volume mapper\n should use the  default number of threads.  This is useful in applications\n such as ParaView that will turn off multiple threads by default. Default is false\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDefaultThreading(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for SetUseDefaultThreading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDefaultThreading */
    if ( strcmp ( argv[2], "GetUseDefaultThreading" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultThreading" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDefaultThreading */
    Tcl_DStringAppendElement ( &dString, "Sets/Gets a flag that indicates the internal volume mapper\n should use the  default number of threads.  This is useful in applications\n such as ParaView that will turn off multiple threads by default. Default is false\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseDefaultThreading();" );
    Tcl_DStringAppendElement ( &dString, "vtkAMRVolumeMapper" );
    /* Closing for GetUseDefaultThreading */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
