// tcl wrapper for vtkTreeHeatmapItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeHeatmapItem.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTreeHeatmapItemNewCommand()
{
  vtkTreeHeatmapItem *temp = vtkTreeHeatmapItem::New();
  return static_cast<ClientData>(temp);
}

int vtkContextItemCppCommand(vtkContextItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTreeHeatmapItemCppCommand(vtkTreeHeatmapItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkTreeHeatmapItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTreeHeatmapItemCppCommand(static_cast<vtkTreeHeatmapItem *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTreeHeatmapItem_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeHeatmapItem"),vtkTreeHeatmapItemNewCommand,vtkTreeHeatmapItemCommand);
  return 0;
}

int VTKTCL_EXPORT vtkTreeHeatmapItemCppCommand(vtkTreeHeatmapItem *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTreeHeatmapItem",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkContextItem"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTreeHeatmapItem  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeHeatmapItem");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTreeHeatmapItem  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeHeatmapItem");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTreeHeatmapItem  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeHeatmapItem");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTree",argv[1]))&&(argc == 3))
    {
    vtkTree  *temp0;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    if (!error)
    {
    op->SetTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTree",argv[1]))&&(argc == 2))
    {
    vtkTree  *temp20;
    temp20 = (op)->GetTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTree");
    return TCL_OK;
    }
  if ((!strcmp("SetTable",argv[1]))&&(argc == 3))
    {
    vtkTable  *temp0;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    if (!error)
    {
    op->SetTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTable",argv[1]))&&(argc == 2))
    {
    vtkTable  *temp20;
    temp20 = (op)->GetTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
    }
  if ((!strcmp("CollapseToNumberOfLeafNodes",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->CollapseToNumberOfLeafNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPrunedTree",argv[1]))&&(argc == 2))
    {
    vtkTree  *temp20;
    temp20 = (op)->GetPrunedTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTree");
    return TCL_OK;
    }
  if ((!strcmp("SetTreeColorArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTreeColorArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTreeHeatmapItemCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTreeHeatmapItem:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTree\n",NULL);
    Tcl_AppendResult(interp,"  SetTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTable\n",NULL);
    Tcl_AppendResult(interp,"  CollapseToNumberOfLeafNodes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPrunedTree\n",NULL);
    Tcl_AppendResult(interp,"  SetTreeColorArray\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContextItemCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    Tcl_DStringAppendElement ( &dString, "SetTable" );
    Tcl_DStringAppendElement ( &dString, "GetTable" );
    Tcl_DStringAppendElement ( &dString, "CollapseToNumberOfLeafNodes" );
    Tcl_DStringAppendElement ( &dString, "GetPrunedTree" );
    Tcl_DStringAppendElement ( &dString, "SetTreeColorArray" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContextItemCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTreeHeatmapItem *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTree */
    if ( strcmp ( argv[2], "SetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTree */
    Tcl_DStringAppendElement ( &dString, " Set the tree that this item draws.  Note that this tree's vertex data\n must contain a vtkStringArray called \"node name\".  Additionally, this\n array must contain the same values as the first column of the input\n table.  See SetTable for more information.  The vtkNewickTreeReader\n automatically creates this required array for you.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTree(vtkTree *tree);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for SetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTree */
    if ( strcmp ( argv[2], "GetTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTree */
    Tcl_DStringAppendElement ( &dString, " Get the tree that this item draws.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTree *GetTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for GetTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTable */
    if ( strcmp ( argv[2], "SetTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTable */
    Tcl_DStringAppendElement ( &dString, " Set the table that this item draws.  The first column of the table\n must contain the names of the rows.  These names, in turn, must correspond\n with the nodes names in the input tree.  See SetTree for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTable(vtkTable *table);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for SetTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTable */
    if ( strcmp ( argv[2], "GetTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTable */
    Tcl_DStringAppendElement ( &dString, " Get the table that this item draws.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTable *GetTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for GetTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CollapseToNumberOfLeafNodes */
    if ( strcmp ( argv[2], "CollapseToNumberOfLeafNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CollapseToNumberOfLeafNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CollapseToNumberOfLeafNodes */
    Tcl_DStringAppendElement ( &dString, " Collapse subtrees until there are only n leaf nodes left in the tree.\n The leaf nodes that remain are those that are closest to the root.\n Any subtrees that were collapsed prior to this function being called\n may be re-expanded.\n" );
    Tcl_DStringAppendElement ( &dString, "void CollapseToNumberOfLeafNodes(unsigned int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for CollapseToNumberOfLeafNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPrunedTree */
    if ( strcmp ( argv[2], "GetPrunedTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPrunedTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPrunedTree */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTree *GetPrunedTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for GetPrunedTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTreeColorArray */
    if ( strcmp ( argv[2], "SetTreeColorArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTreeColorArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTreeColorArray */
    Tcl_DStringAppendElement ( &dString, " Indicate which array within the Tree's VertexData should be used to\n color the tree.  The specified array must be a vtkDoubleArray.\n By default, the tree will be drawn in black.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTreeColorArray(const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeHeatmapItem" );
    /* Closing for SetTreeColorArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkContextItemCppCommand(static_cast<vtkContextItem *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
