#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkApplyColors_TclCreate(Tcl_Interp *interp);
int vtkApplyIcons_TclCreate(Tcl_Interp *interp);
int vtkGraphItem_TclCreate(Tcl_Interp *interp);
int vtkGraphLayoutView_TclCreate(Tcl_Interp *interp);
int vtkHierarchicalGraphPipeline_TclCreate(Tcl_Interp *interp);
int vtkHierarchicalGraphView_TclCreate(Tcl_Interp *interp);
int vtkIcicleView_TclCreate(Tcl_Interp *interp);
int vtkInteractorStyleAreaSelectHover_TclCreate(Tcl_Interp *interp);
int vtkInteractorStyleTreeMapHover_TclCreate(Tcl_Interp *interp);
int vtkParallelCoordinatesHistogramRepresentation_TclCreate(Tcl_Interp *interp);
int vtkParallelCoordinatesRepresentation_TclCreate(Tcl_Interp *interp);
int vtkParallelCoordinatesView_TclCreate(Tcl_Interp *interp);
int vtkRenderedGraphRepresentation_TclCreate(Tcl_Interp *interp);
int vtkRenderedHierarchyRepresentation_TclCreate(Tcl_Interp *interp);
int vtkRenderedRepresentation_TclCreate(Tcl_Interp *interp);
int vtkRenderedSurfaceRepresentation_TclCreate(Tcl_Interp *interp);
int vtkRenderedTreeAreaRepresentation_TclCreate(Tcl_Interp *interp);
int vtkRenderView_TclCreate(Tcl_Interp *interp);
int vtkTreeAreaView_TclCreate(Tcl_Interp *interp);
int vtkTreeHeatmapItem_TclCreate(Tcl_Interp *interp);
int vtkTreeMapView_TclCreate(Tcl_Interp *interp);
int vtkTreeRingView_TclCreate(Tcl_Interp *interp);
int vtkViewUpdater_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkviewsinfovistcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkviewsinfovistcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkviewsinfovistcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkviewsinfovistcl_Init(interp);
}


int VTK_EXPORT Vtkviewsinfovistcl_Init(Tcl_Interp *interp)
{

  vtkApplyColors_TclCreate(interp);
  vtkApplyIcons_TclCreate(interp);
  vtkGraphItem_TclCreate(interp);
  vtkGraphLayoutView_TclCreate(interp);
  vtkHierarchicalGraphPipeline_TclCreate(interp);
  vtkHierarchicalGraphView_TclCreate(interp);
  vtkIcicleView_TclCreate(interp);
  vtkInteractorStyleAreaSelectHover_TclCreate(interp);
  vtkInteractorStyleTreeMapHover_TclCreate(interp);
  vtkParallelCoordinatesHistogramRepresentation_TclCreate(interp);
  vtkParallelCoordinatesRepresentation_TclCreate(interp);
  vtkParallelCoordinatesView_TclCreate(interp);
  vtkRenderedGraphRepresentation_TclCreate(interp);
  vtkRenderedHierarchyRepresentation_TclCreate(interp);
  vtkRenderedRepresentation_TclCreate(interp);
  vtkRenderedSurfaceRepresentation_TclCreate(interp);
  vtkRenderedTreeAreaRepresentation_TclCreate(interp);
  vtkRenderView_TclCreate(interp);
  vtkTreeAreaView_TclCreate(interp);
  vtkTreeHeatmapItem_TclCreate(interp);
  vtkTreeMapView_TclCreate(interp);
  vtkTreeRingView_TclCreate(interp);
  vtkViewUpdater_TclCreate(interp);
  char pkgName[]="vtkViewsInfovisTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
