// python wrapper for vtkCellDistanceSelector
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCellDistanceSelector.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkCellDistanceSelector(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkCellDistanceSelectorNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
#endif

static const char **PyvtkCellDistanceSelector_Doc();


static PyObject *
PyvtkCellDistanceSelector_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkCellDistanceSelector::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkCellDistanceSelector::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkCellDistanceSelector *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkCellDistanceSelector::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkCellDistanceSelector *tempr = vtkCellDistanceSelector::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SetInputMeshConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputMeshConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetInputMeshConnection(temp0);
      }
    else
      {
      op->vtkCellDistanceSelector::SetInputMeshConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SetInputMesh(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputMesh");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  vtkDataObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      op->SetInputMesh(temp0);
      }
    else
      {
      op->vtkCellDistanceSelector::SetInputMesh(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SetInputSelectionConnection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputSelectionConnection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  vtkAlgorithmOutput *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkAlgorithmOutput"))
    {
    if (ap.IsBound())
      {
      op->SetInputSelectionConnection(temp0);
      }
    else
      {
      op->vtkCellDistanceSelector::SetInputSelectionConnection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SetInputSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  vtkSelection *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSelection"))
    {
    if (ap.IsBound())
      {
      op->SetInputSelection(temp0);
      }
    else
      {
      op->vtkCellDistanceSelector::SetInputSelection(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SetDistance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDistance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDistance(temp0);
      }
    else
      {
      op->vtkCellDistanceSelector::SetDistance(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_GetDistance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDistance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetDistance() :
      op->vtkCellDistanceSelector::GetDistance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SetIncludeSeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIncludeSeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIncludeSeed(temp0);
      }
    else
      {
      op->vtkCellDistanceSelector::SetIncludeSeed(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_GetIncludeSeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIncludeSeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetIncludeSeed() :
      op->vtkCellDistanceSelector::GetIncludeSeed());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_IncludeSeedOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IncludeSeedOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IncludeSeedOn();
      }
    else
      {
      op->vtkCellDistanceSelector::IncludeSeedOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_IncludeSeedOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IncludeSeedOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IncludeSeedOff();
      }
    else
      {
      op->vtkCellDistanceSelector::IncludeSeedOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_SetAddIntermediate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAddIntermediate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAddIntermediate(temp0);
      }
    else
      {
      op->vtkCellDistanceSelector::SetAddIntermediate(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_GetAddIntermediate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAddIntermediate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAddIntermediate() :
      op->vtkCellDistanceSelector::GetAddIntermediate());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_AddIntermediateOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddIntermediateOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AddIntermediateOn();
      }
    else
      {
      op->vtkCellDistanceSelector::AddIntermediateOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkCellDistanceSelector_AddIntermediateOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddIntermediateOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCellDistanceSelector *op = static_cast<vtkCellDistanceSelector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AddIntermediateOff();
      }
    else
      {
      op->vtkCellDistanceSelector::AddIntermediateOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkCellDistanceSelector_Methods[] = {
  {(char*)"GetClassName", PyvtkCellDistanceSelector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCellDistanceSelector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCellDistanceSelector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellDistanceSelector\nC++: vtkCellDistanceSelector *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCellDistanceSelector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellDistanceSelector\nC++: vtkCellDistanceSelector *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetInputMeshConnection", PyvtkCellDistanceSelector_SetInputMeshConnection, 1,
   (char*)"V.SetInputMeshConnection(vtkAlgorithmOutput)\nC++: void SetInputMeshConnection(vtkAlgorithmOutput *in)\n\nA convenience method to set the data object input connection to\nthe producer output\n"},
  {(char*)"SetInputMesh", PyvtkCellDistanceSelector_SetInputMesh, 1,
   (char*)"V.SetInputMesh(vtkDataObject)\nC++: void SetInputMesh(vtkDataObject *obj)\n\nA convenience method to set the input data object\n"},
  {(char*)"SetInputSelectionConnection", PyvtkCellDistanceSelector_SetInputSelectionConnection, 1,
   (char*)"V.SetInputSelectionConnection(vtkAlgorithmOutput)\nC++: void SetInputSelectionConnection(vtkAlgorithmOutput *in)\n\nA convenience method to set the selection input connection to the\nproducer output\n"},
  {(char*)"SetInputSelection", PyvtkCellDistanceSelector_SetInputSelection, 1,
   (char*)"V.SetInputSelection(vtkSelection)\nC++: void SetInputSelection(vtkSelection *obj)\n\nA convenience method to set the input selection\n"},
  {(char*)"SetDistance", PyvtkCellDistanceSelector_SetDistance, 1,
   (char*)"V.SetDistance(int)\nC++: void SetDistance(int a)\n\nTells how far (in term of topological distance) away from seed\ncells to expand the selection\n"},
  {(char*)"GetDistance", PyvtkCellDistanceSelector_GetDistance, 1,
   (char*)"V.GetDistance() -> int\nC++: int GetDistance()\n\nTells how far (in term of topological distance) away from seed\ncells to expand the selection\n"},
  {(char*)"SetIncludeSeed", PyvtkCellDistanceSelector_SetIncludeSeed, 1,
   (char*)"V.SetIncludeSeed(int)\nC++: void SetIncludeSeed(int a)\n\nIf set, seed cells passed with SetSeedCells will be included in\nthe final selection\n"},
  {(char*)"GetIncludeSeed", PyvtkCellDistanceSelector_GetIncludeSeed, 1,
   (char*)"V.GetIncludeSeed() -> int\nC++: int GetIncludeSeed()\n\nIf set, seed cells passed with SetSeedCells will be included in\nthe final selection\n"},
  {(char*)"IncludeSeedOn", PyvtkCellDistanceSelector_IncludeSeedOn, 1,
   (char*)"V.IncludeSeedOn()\nC++: void IncludeSeedOn()\n\nIf set, seed cells passed with SetSeedCells will be included in\nthe final selection\n"},
  {(char*)"IncludeSeedOff", PyvtkCellDistanceSelector_IncludeSeedOff, 1,
   (char*)"V.IncludeSeedOff()\nC++: void IncludeSeedOff()\n\nIf set, seed cells passed with SetSeedCells will be included in\nthe final selection\n"},
  {(char*)"SetAddIntermediate", PyvtkCellDistanceSelector_SetAddIntermediate, 1,
   (char*)"V.SetAddIntermediate(int)\nC++: void SetAddIntermediate(int a)\n\nIf set, intermediate cells (between seed cells and the selection\nboundary) will be included in the final selection\n"},
  {(char*)"GetAddIntermediate", PyvtkCellDistanceSelector_GetAddIntermediate, 1,
   (char*)"V.GetAddIntermediate() -> int\nC++: int GetAddIntermediate()\n\nIf set, intermediate cells (between seed cells and the selection\nboundary) will be included in the final selection\n"},
  {(char*)"AddIntermediateOn", PyvtkCellDistanceSelector_AddIntermediateOn, 1,
   (char*)"V.AddIntermediateOn()\nC++: void AddIntermediateOn()\n\nIf set, intermediate cells (between seed cells and the selection\nboundary) will be included in the final selection\n"},
  {(char*)"AddIntermediateOff", PyvtkCellDistanceSelector_AddIntermediateOff, 1,
   (char*)"V.AddIntermediateOff()\nC++: void AddIntermediateOff()\n\nIf set, intermediate cells (between seed cells and the selection\nboundary) will be included in the final selection\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCellDistanceSelector_StaticNew()
{
  return vtkCellDistanceSelector::New();
}

PyObject *PyVTKClass_vtkCellDistanceSelectorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCellDistanceSelector_StaticNew,
    PyvtkCellDistanceSelector_Methods,
    "vtkCellDistanceSelector", modulename,
    NULL, NULL,
    PyvtkCellDistanceSelector_Doc(),
    PyVTKClass_vtkSelectionAlgorithmNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"INPUT_MESH", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"INPUT_SELECTION", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkCellDistanceSelector_Doc()
{
  static const char *docstring[] = {
    "vtkCellDistanceSelector - select neighbor cells up to a distance\n\n",
    "Superclass: vtkSelectionAlgorithm\n\n",
    "This filter grows an input selection by iteratively selecting\nneighbor cells (a neighbor cell is a cell that shares a\nvertex/edge/face), up to a given topological distance to the selected\nneighborhood (number of times we add neighbor cells). This filter\ntakes a vtkSelection and a vtkCompositeDataSet as inputs. It outputs\na vtkSelection identifying all the selected cells.\n\nThanks:\n\nThis file has be",
    "en initially developed in the frame of CEA's Love\nvisualization software development\n\nCEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France\n\nBP12, F-91297 Arpajon, France.\n\nModified and integrated into VTK, Kitware SAS 2012 Implementation by\nThierry Carrard and Philippe Pebay\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCellDistanceSelector(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCellDistanceSelectorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCellDistanceSelector", o) != 0)
    {
    Py_DECREF(o);
    }

}

