// python wrapper for vtkColorSeries
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkColor.h"
#include "vtkColorSeries.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkColorSeries(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkColorSeriesNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkColorSeries_Doc();


static PyObject *
PyvtkColorSeries_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkColorSeries::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkColorSeries::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkColorSeries *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkColorSeries::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkColorSeries *tempr = vtkColorSeries::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_SetColorScheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorScheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorScheme(temp0);
      }
    else
      {
      op->vtkColorSeries::SetColorScheme(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_SetColorSchemeByName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorSchemeByName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  vtkStdString temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->SetColorSchemeByName(temp0) :
      op->vtkColorSeries::SetColorSchemeByName(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_GetNumberOfColorSchemes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfColorSchemes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfColorSchemes() :
      op->vtkColorSeries::GetNumberOfColorSchemes());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_GetColorSchemeName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorSchemeName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->GetColorSchemeName() :
      op->vtkColorSeries::GetColorSchemeName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_SetColorSchemeName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorSchemeName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  vtkStdString temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorSchemeName(temp0);
      }
    else
      {
      op->vtkColorSeries::SetColorSchemeName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_GetColorScheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorScheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetColorScheme() :
      op->vtkColorSeries::GetColorScheme());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_GetNumberOfColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfColors() :
      op->vtkColorSeries::GetNumberOfColors());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_SetNumberOfColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfColors(temp0);
      }
    else
      {
      op->vtkColorSeries::SetNumberOfColors(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_GetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkColor3ub tempr = (ap.IsBound() ?
      op->GetColor(temp0) :
      op->vtkColorSeries::GetColor(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkColor3ub");
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_GetColorRepeating(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorRepeating");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkColor3ub tempr = (ap.IsBound() ?
      op->GetColorRepeating(temp0) :
      op->vtkColorSeries::GetColorRepeating(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkColor3ub");
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_SetColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  int temp0;
  vtkColor3ub *temp1 = NULL;
  PyObject *pobj1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetSpecialObject(temp1, pobj1, "vtkColor3ub"))
    {
    if (ap.IsBound())
      {
      op->SetColor(temp0, *temp1);
      }
    else
      {
      op->vtkColorSeries::SetColor(temp0, *temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj1);

  return result;
}


static PyObject *
PyvtkColorSeries_AddColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  vtkColor3ub *temp0 = NULL;
  PyObject *pobj0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkColor3ub"))
    {
    if (ap.IsBound())
      {
      op->AddColor(*temp0);
      }
    else
      {
      op->vtkColorSeries::AddColor(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj0);

  return result;
}


static PyObject *
PyvtkColorSeries_InsertColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InsertColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  int temp0;
  vtkColor3ub *temp1 = NULL;
  PyObject *pobj1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetSpecialObject(temp1, pobj1, "vtkColor3ub"))
    {
    if (ap.IsBound())
      {
      op->InsertColor(temp0, *temp1);
      }
    else
      {
      op->vtkColorSeries::InsertColor(temp0, *temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj1);

  return result;
}


static PyObject *
PyvtkColorSeries_RemoveColor(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveColor");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->RemoveColor(temp0);
      }
    else
      {
      op->vtkColorSeries::RemoveColor(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_ClearColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearColors();
      }
    else
      {
      op->vtkColorSeries::ClearColors();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  vtkColorSeries *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkColorSeries"))
    {
    if (ap.IsBound())
      {
      op->DeepCopy(temp0);
      }
    else
      {
      op->vtkColorSeries::DeepCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_BuildLookupTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BuildLookupTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  vtkLookupTable *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkLookupTable"))
    {
    if (ap.IsBound())
      {
      op->BuildLookupTable(temp0);
      }
    else
      {
      op->vtkColorSeries::BuildLookupTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkColorSeries_CreateLookupTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CreateLookupTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkColorSeries *op = static_cast<vtkColorSeries *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkLookupTable *tempr = (ap.IsBound() ?
      op->CreateLookupTable() :
      op->vtkColorSeries::CreateLookupTable());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}

static PyMethodDef PyvtkColorSeries_Methods[] = {
  {(char*)"GetClassName", PyvtkColorSeries_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkColorSeries_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkColorSeries_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkColorSeries\nC++: vtkColorSeries *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkColorSeries_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkColorSeries\nC++: vtkColorSeries *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetColorScheme", PyvtkColorSeries_SetColorScheme, 1,
   (char*)"V.SetColorScheme(int)\nC++: virtual void SetColorScheme(int scheme)\n\nSet the color scheme that should be used. The variant of this\nfunction that takes an integer should pass a number from those in\nthe enum, or a value returned by the string variant. The variant\nthat accepts a string returns the integer index of the resulting\npalette (whether it already existed or is newly-created).\n"},
  {(char*)"SetColorSchemeByName", PyvtkColorSeries_SetColorSchemeByName, 1,
   (char*)"V.SetColorSchemeByName(string) -> int\nC++: virtual int SetColorSchemeByName(\n    const vtkStdString &schemeName)\n\nSet the color scheme that should be used. The variant of this\nfunction that takes an integer should pass a number from those in\nthe enum, or a value returned by the string variant. The variant\nthat accepts a string returns the integer index of the resulting\npalette (whether it already existed or is newly-created).\n"},
  {(char*)"GetNumberOfColorSchemes", PyvtkColorSeries_GetNumberOfColorSchemes, 1,
   (char*)"V.GetNumberOfColorSchemes() -> int\nC++: int GetNumberOfColorSchemes()\n\nReturn the number of schemes currently defined.\n"},
  {(char*)"GetColorSchemeName", PyvtkColorSeries_GetColorSchemeName, 1,
   (char*)"V.GetColorSchemeName() -> string\nC++: virtual vtkStdString GetColorSchemeName()\n\nGet the color scheme that is currently being used.\n"},
  {(char*)"SetColorSchemeName", PyvtkColorSeries_SetColorSchemeName, 1,
   (char*)"V.SetColorSchemeName(string)\nC++: virtual void SetColorSchemeName(const vtkStdString &scheme)\n\nSet the name of the current color scheme\n"},
  {(char*)"GetColorScheme", PyvtkColorSeries_GetColorScheme, 1,
   (char*)"V.GetColorScheme() -> int\nC++: virtual int GetColorScheme()\n\nReturn the ID of the color scheme currently in use.\n"},
  {(char*)"GetNumberOfColors", PyvtkColorSeries_GetNumberOfColors, 1,
   (char*)"V.GetNumberOfColors() -> int\nC++: virtual int GetNumberOfColors()\n\nGet the number of colors available in the current color scheme.\n"},
  {(char*)"SetNumberOfColors", PyvtkColorSeries_SetNumberOfColors, 1,
   (char*)"V.SetNumberOfColors(int)\nC++: virtual void SetNumberOfColors(int numColors)\n\nSet the number of colors to be stored in a non-default color\nscheme. Calling this function on a predefined color scheme will\ncause the scheme to be duplicated to a new custom scheme.\n"},
  {(char*)"GetColor", PyvtkColorSeries_GetColor, 1,
   (char*)"V.GetColor(int) -> vtkColor3ub\nC++: vtkColor3ub GetColor(int index)\n\nGet the color at the specified index. If the index is out of\nrange then black will be returned.\n"},
  {(char*)"GetColorRepeating", PyvtkColorSeries_GetColorRepeating, 1,
   (char*)"V.GetColorRepeating(int) -> vtkColor3ub\nC++: vtkColor3ub GetColorRepeating(int index)\n\nGet the color at the specified index. If the index is out of\nrange then the call wraps around, i.e. uses the mod operator.\n"},
  {(char*)"SetColor", PyvtkColorSeries_SetColor, 1,
   (char*)"V.SetColor(int, vtkColor3ub)\nC++: virtual void SetColor(int index, const vtkColor3ub &color)\n\nSet the color at the specified index. Does nothing if the index\nis out of range.\n"},
  {(char*)"AddColor", PyvtkColorSeries_AddColor, 1,
   (char*)"V.AddColor(vtkColor3ub)\nC++: virtual void AddColor(const vtkColor3ub &color)\n\nAdds the color to the end of the list.\n"},
  {(char*)"InsertColor", PyvtkColorSeries_InsertColor, 1,
   (char*)"V.InsertColor(int, vtkColor3ub)\nC++: virtual void InsertColor(int index, const vtkColor3ub &color)\n\nInserts the color at the specified index in the list.\n"},
  {(char*)"RemoveColor", PyvtkColorSeries_RemoveColor, 1,
   (char*)"V.RemoveColor(int)\nC++: virtual void RemoveColor(int index)\n\nRemoves the color at the specified index in the list.\n"},
  {(char*)"ClearColors", PyvtkColorSeries_ClearColors, 1,
   (char*)"V.ClearColors()\nC++: virtual void ClearColors()\n\nClears the list of colors.\n"},
  {(char*)"DeepCopy", PyvtkColorSeries_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkColorSeries)\nC++: virtual void DeepCopy(vtkColorSeries *chartColors)\n\nMake a deep copy of the supplied object.\n"},
  {(char*)"BuildLookupTable", PyvtkColorSeries_BuildLookupTable, 1,
   (char*)"V.BuildLookupTable(vtkLookupTable)\nC++: void BuildLookupTable(vtkLookupTable *lkup)\n\nPopulate a lookup table with all the colors in the current\nscheme.\n"},
  {(char*)"CreateLookupTable", PyvtkColorSeries_CreateLookupTable, 1,
   (char*)"V.CreateLookupTable() -> vtkLookupTable\nC++: vtkLookupTable *CreateLookupTable()\n\nCreate a new lookup table with all the colors in the current\nscheme. The caller is responsible for deleting the table after\nuse.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkColorSeries_StaticNew()
{
  return vtkColorSeries::New();
}

PyObject *PyVTKClass_vtkColorSeriesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkColorSeries_StaticNew,
    PyvtkColorSeries_Methods,
    "vtkColorSeries", modulename,
    NULL, NULL,
    PyvtkColorSeries_Doc(),
    PyVTKClass_vtkObjectNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"SPECTRUM", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"WARM", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"COOL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"BLUES", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"WILD_FLOWER", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"CITRUS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(6);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_11", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(7);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_10", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(8);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_9", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(9);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_8", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(10);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_7", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(11);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_6", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(12);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_5", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(13);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_4", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(14);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_PURPLE_ORANGE_3", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(15);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_11", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(16);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_10", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(17);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_9", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(18);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_8", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(19);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_7", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(20);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_6", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(21);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_5", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(22);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_4", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(23);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_SPECTRAL_3", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(24);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_11", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(25);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_10", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(26);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_9", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(27);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_8", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(28);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_7", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(29);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_6", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(30);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_5", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(31);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_4", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(32);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_DIVERGING_BROWN_BLUE_GREEN_3", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(33);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_GREEN_9", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(34);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_GREEN_8", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(35);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_GREEN_7", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(36);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_GREEN_6", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(37);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_GREEN_5", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(38);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_GREEN_4", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(39);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_GREEN_3", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(40);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_YELLOW_ORANGE_BROWN_9", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(41);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_YELLOW_ORANGE_BROWN_8", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(42);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_YELLOW_ORANGE_BROWN_7", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(43);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_YELLOW_ORANGE_BROWN_6", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(44);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_YELLOW_ORANGE_BROWN_5", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(45);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_YELLOW_ORANGE_BROWN_4", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(46);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_YELLOW_ORANGE_BROWN_3", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(47);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_PURPLE_9", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(48);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_PURPLE_8", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(49);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_PURPLE_7", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(50);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_PURPLE_6", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(51);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_PURPLE_5", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(52);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_PURPLE_4", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(53);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_SEQUENTIAL_BLUE_PURPLE_3", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(54);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_ACCENT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(55);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_DARK2", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(56);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_SET2", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(57);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_PASTEL2", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(58);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_PASTEL1", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(59);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_SET1", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(60);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_PAIRED", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(61);
    if (o && PyDict_SetItemString(d, (char *)"BREWER_QUALITATIVE_SET3", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(62);
    if (o && PyDict_SetItemString(d, (char *)"CUSTOM", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkColorSeries_Doc()
{
  static const char *docstring[] = {
    "vtkColorSeries - stores a list of colors.\n\n",
    "Superclass: vtkObject\n\n",
    "The vtkColorSeries stores palettes of colors. There are several\ndefault palettes (or schemes) available and functions to control\nseveral aspects of what colors are returned. In essence a color\nscheme is set and then the number of colors and individual color\nvalues may be requested.\n\nIt is also possible to add schemes beyond the default palettes.\nWhenever SetColorScheme is called with a string for ",
    "which no palette\nalready exists, a new, empty palette is created. You may then use\nSetNumberOfColors and SetColor to populate the palette. You may not\nextend default palettes by calling functions that alter a scheme; if\ncalled while a predefined palette is in use, they will create a new\nnon-default scheme and populate it with the current palette before\ncontinuing.\n\nThe \"Brewer\" palettes are courte",
    "sy of Cynthia A. Brewer (Dept. of\nGeography, Pennsylvania State University) and present under the\nApache License. See the source code for details.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkColorSeries(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkColorSeriesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkColorSeries", o) != 0)
    {
    Py_DECREF(o);
    }

}

