// python wrapper for vtkContextBufferId
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkContextBufferId.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkContextBufferId(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkContextBufferIdNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkAbstractContextBufferIdNew
extern "C" { PyObject *PyVTKClass_vtkAbstractContextBufferIdNew(const char *); }
#define DECLARED_PyVTKClass_vtkAbstractContextBufferIdNew
#endif

static const char **PyvtkContextBufferId_Doc();


static PyObject *
PyvtkContextBufferId_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextBufferId *op = static_cast<vtkContextBufferId *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkContextBufferId::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextBufferId_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextBufferId *op = static_cast<vtkContextBufferId *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkContextBufferId::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextBufferId_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextBufferId *op = static_cast<vtkContextBufferId *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkContextBufferId *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkContextBufferId::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkContextBufferId_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkContextBufferId *tempr = vtkContextBufferId::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextBufferId_Allocate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Allocate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextBufferId *op = static_cast<vtkContextBufferId *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Allocate();
      }
    else
      {
      op->vtkContextBufferId::Allocate();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextBufferId_IsAllocated(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsAllocated");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextBufferId *op = static_cast<vtkContextBufferId *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->IsAllocated() :
      op->vtkContextBufferId::IsAllocated());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContextBufferId_SetValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextBufferId *op = static_cast<vtkContextBufferId *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetValues(temp0, temp1);
      }
    else
      {
      op->vtkContextBufferId::SetValues(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkContextBufferId_GetPickedItem(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPickedItem");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContextBufferId *op = static_cast<vtkContextBufferId *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetPickedItem(temp0, temp1) :
      op->vtkContextBufferId::GetPickedItem(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkContextBufferId_Methods[] = {
  {(char*)"GetClassName", PyvtkContextBufferId_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkContextBufferId_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkContextBufferId_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextBufferId\nC++: vtkContextBufferId *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkContextBufferId_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContextBufferId\nC++: vtkContextBufferId *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Allocate", PyvtkContextBufferId_Allocate, 1,
   (char*)"V.Allocate()\nC++: virtual void Allocate()\n\nAllocate the memory for at least Width*Height elements.\n\\pre positive_width: GetWidth()>0\n\\pre positive_height: GetHeight()>0\n"},
  {(char*)"IsAllocated", PyvtkContextBufferId_IsAllocated, 1,
   (char*)"V.IsAllocated() -> bool\nC++: virtual bool IsAllocated()\n\nTell if the buffer has been allocated.\n"},
  {(char*)"SetValues", PyvtkContextBufferId_SetValues, 1,
   (char*)"V.SetValues(int, int)\nC++: virtual void SetValues(int srcXmin, int srcYmin)\n\nCopy the contents of the current read buffer to the internal\narray starting at lower left corner of the framebuffer\n(srcXmin,srcYmin).\n\\pre is_allocated: this->IsAllocated()\n"},
  {(char*)"GetPickedItem", PyvtkContextBufferId_GetPickedItem, 1,
   (char*)"V.GetPickedItem(int, int) -> int\nC++: virtual vtkIdType GetPickedItem(int x, int y)\n\nReturn item under abscissa x and ordinate y. Abscissa go from\nleft to right. Ordinate go from bottom to top. The return value\nis -1 if there is no item.\n\\pre is_allocated: IsAllocated()\n\\post valid_result: result>=-1\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkContextBufferId_StaticNew()
{
  return vtkContextBufferId::New();
}

PyObject *PyVTKClass_vtkContextBufferIdNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkContextBufferId_StaticNew,
    PyvtkContextBufferId_Methods,
    "vtkContextBufferId", modulename,
    NULL, NULL,
    PyvtkContextBufferId_Doc(),
    PyVTKClass_vtkAbstractContextBufferIdNew(modulename));
  return cls;
}

const char **PyvtkContextBufferId_Doc()
{
  static const char *docstring[] = {
    "vtkContextBufferId - 2D array of ids, used for picking.\n\n",
    "Superclass: vtkAbstractContextBufferId\n\n",
    "An 2D array where each element is the id of an entity drawn at the\ngiven pixel.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkContextBufferId(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkContextBufferIdNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkContextBufferId", o) != 0)
    {
    Py_DECREF(o);
    }

}

