// python wrapper for vtkContingencyStatisticsGnuR
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkContingencyStatisticsGnuR.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkContingencyStatisticsGnuR(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkContingencyStatisticsGnuRNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkContingencyStatisticsNew
extern "C" { PyObject *PyVTKClass_vtkContingencyStatisticsNew(const char *); }
#define DECLARED_PyVTKClass_vtkContingencyStatisticsNew
#endif

static const char **PyvtkContingencyStatisticsGnuR_Doc();


static PyObject *
PyvtkContingencyStatisticsGnuR_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContingencyStatisticsGnuR *op = static_cast<vtkContingencyStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkContingencyStatisticsGnuR::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContingencyStatisticsGnuR_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContingencyStatisticsGnuR *op = static_cast<vtkContingencyStatisticsGnuR *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkContingencyStatisticsGnuR::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkContingencyStatisticsGnuR_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkContingencyStatisticsGnuR *op = static_cast<vtkContingencyStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkContingencyStatisticsGnuR *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkContingencyStatisticsGnuR::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkContingencyStatisticsGnuR_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkContingencyStatisticsGnuR *tempr = vtkContingencyStatisticsGnuR::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkContingencyStatisticsGnuR_Methods[] = {
  {(char*)"GetClassName", PyvtkContingencyStatisticsGnuR_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkContingencyStatisticsGnuR_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkContingencyStatisticsGnuR_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContingencyStatisticsGnuR\nC++: vtkContingencyStatisticsGnuR *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkContingencyStatisticsGnuR_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContingencyStatisticsGnuR\nC++: vtkContingencyStatisticsGnuR *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkContingencyStatisticsGnuR_StaticNew()
{
  return vtkContingencyStatisticsGnuR::New();
}

PyObject *PyVTKClass_vtkContingencyStatisticsGnuRNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkContingencyStatisticsGnuR_StaticNew,
    PyvtkContingencyStatisticsGnuR_Methods,
    "vtkContingencyStatisticsGnuR", modulename,
    NULL, NULL,
    PyvtkContingencyStatisticsGnuR_Doc(),
    PyVTKClass_vtkContingencyStatisticsNew(modulename));
  return cls;
}

const char **PyvtkContingencyStatisticsGnuR_Doc()
{
  static const char *docstring[] = {
    "vtkContingencyStatisticsGnuR - A class for bivariate correlation\ncontigency\n\n",
    "Superclass: vtkContingencyStatistics\n\n",
    "Given a pair of columns of interest, this class provides the\nfollowing functionalities, depending on the operation in which it is\nexecuted:\n* Learn: calculate contigency tables and corresponding discrete joint\n  probability distribution.\n* Derive: calculate conditional probabilities, information entropies,\nand pointwise mutual information.\n* Assess: given two columns of interest with the same numb",
    "er of\n  entries as input in port INPUT_DATA, and a corresponding bivariate\n  probability distribution,\n* Test: calculate Chi-square independence statistic and, if VTK to R\n  interface is available, retrieve corresponding p-value for\n  independence testing.\n\nThanks:\n\nThanks to Philippe Pebay and David Thompson from Sandia National\nLaboratories for implementing this class. Updated by Philippe Pebay,",
    "\nKitware SAS 2012\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkContingencyStatisticsGnuR(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkContingencyStatisticsGnuRNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkContingencyStatisticsGnuR", o) != 0)
    {
    Py_DECREF(o);
    }

}

