// python wrapper for vtkCorrelativeStatisticsGnuR
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCorrelativeStatisticsGnuR.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkCorrelativeStatisticsGnuR(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkCorrelativeStatisticsGnuRNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkCorrelativeStatisticsNew
extern "C" { PyObject *PyVTKClass_vtkCorrelativeStatisticsNew(const char *); }
#define DECLARED_PyVTKClass_vtkCorrelativeStatisticsNew
#endif

static const char **PyvtkCorrelativeStatisticsGnuR_Doc();


static PyObject *
PyvtkCorrelativeStatisticsGnuR_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCorrelativeStatisticsGnuR *op = static_cast<vtkCorrelativeStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkCorrelativeStatisticsGnuR::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCorrelativeStatisticsGnuR_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCorrelativeStatisticsGnuR *op = static_cast<vtkCorrelativeStatisticsGnuR *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkCorrelativeStatisticsGnuR::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCorrelativeStatisticsGnuR_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCorrelativeStatisticsGnuR *op = static_cast<vtkCorrelativeStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkCorrelativeStatisticsGnuR *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkCorrelativeStatisticsGnuR::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCorrelativeStatisticsGnuR_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkCorrelativeStatisticsGnuR *tempr = vtkCorrelativeStatisticsGnuR::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkCorrelativeStatisticsGnuR_Methods[] = {
  {(char*)"GetClassName", PyvtkCorrelativeStatisticsGnuR_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCorrelativeStatisticsGnuR_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCorrelativeStatisticsGnuR_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCorrelativeStatisticsGnuR\nC++: vtkCorrelativeStatisticsGnuR *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCorrelativeStatisticsGnuR_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCorrelativeStatisticsGnuR\nC++: vtkCorrelativeStatisticsGnuR *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCorrelativeStatisticsGnuR_StaticNew()
{
  return vtkCorrelativeStatisticsGnuR::New();
}

PyObject *PyVTKClass_vtkCorrelativeStatisticsGnuRNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCorrelativeStatisticsGnuR_StaticNew,
    PyvtkCorrelativeStatisticsGnuR_Methods,
    "vtkCorrelativeStatisticsGnuR", modulename,
    NULL, NULL,
    PyvtkCorrelativeStatisticsGnuR_Doc(),
    PyVTKClass_vtkCorrelativeStatisticsNew(modulename));
  return cls;
}

const char **PyvtkCorrelativeStatisticsGnuR_Doc()
{
  static const char *docstring[] = {
    "vtkCorrelativeStatisticsGnuR - A class for bivariate linear\ncorrelation using R\n\n",
    "Superclass: vtkCorrelativeStatistics\n\n",
    "Given a selection of pairs of columns of interest, this class\nprovides the following functionalities, depending on the chosen\nexecution options:\n* Learn: calculate extremal values, sample mean, and M2 aggregates\n  (cf. P. Pebay, Formulas for robust, one-pass parallel computation\n  of covariances and Arbitrary-Order Statistical Moments, Sandia\n  Report SAND2008-6212, Sep 2008,\n  http://infoserve.sa",
    "ndia.gov/sand_doc/2008/086212.pdf for details)\n* Derive: calculate unbiased covariance matrix estimators and its\n  determinant, linear regressions, and Pearson correlation\n  coefficient.\n* Assess: given an input data set, two means and a 2x2 covariance\n  matrix, mark each datum with corresponding relative deviation\n  (2-dimensional Mahlanobis distance).\n* Test: Perform Jarque-Bera-Srivastava test ",
    "of 2-d normality\n\nThanks:\n\nThanks to Philippe Pebay and David Thompson from Sandia National\nLaboratories for implementing this class. Updated by Philippe Pebay,\nKitware SAS 2012\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCorrelativeStatisticsGnuR(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCorrelativeStatisticsGnuRNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCorrelativeStatisticsGnuR", o) != 0)
    {
    Py_DECREF(o);
    }

}

