// python wrapper for vtkDescriptiveStatisticsGnuR
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkDescriptiveStatisticsGnuR.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkDescriptiveStatisticsGnuR(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkDescriptiveStatisticsGnuRNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkDescriptiveStatisticsNew
extern "C" { PyObject *PyVTKClass_vtkDescriptiveStatisticsNew(const char *); }
#define DECLARED_PyVTKClass_vtkDescriptiveStatisticsNew
#endif

static const char **PyvtkDescriptiveStatisticsGnuR_Doc();


static PyObject *
PyvtkDescriptiveStatisticsGnuR_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDescriptiveStatisticsGnuR *op = static_cast<vtkDescriptiveStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkDescriptiveStatisticsGnuR::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDescriptiveStatisticsGnuR_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDescriptiveStatisticsGnuR *op = static_cast<vtkDescriptiveStatisticsGnuR *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkDescriptiveStatisticsGnuR::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDescriptiveStatisticsGnuR_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDescriptiveStatisticsGnuR *op = static_cast<vtkDescriptiveStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkDescriptiveStatisticsGnuR *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkDescriptiveStatisticsGnuR::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkDescriptiveStatisticsGnuR_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkDescriptiveStatisticsGnuR *tempr = vtkDescriptiveStatisticsGnuR::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkDescriptiveStatisticsGnuR_Methods[] = {
  {(char*)"GetClassName", PyvtkDescriptiveStatisticsGnuR_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkDescriptiveStatisticsGnuR_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkDescriptiveStatisticsGnuR_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDescriptiveStatisticsGnuR\nC++: vtkDescriptiveStatisticsGnuR *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkDescriptiveStatisticsGnuR_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDescriptiveStatisticsGnuR\nC++: vtkDescriptiveStatisticsGnuR *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkDescriptiveStatisticsGnuR_StaticNew()
{
  return vtkDescriptiveStatisticsGnuR::New();
}

PyObject *PyVTKClass_vtkDescriptiveStatisticsGnuRNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkDescriptiveStatisticsGnuR_StaticNew,
    PyvtkDescriptiveStatisticsGnuR_Methods,
    "vtkDescriptiveStatisticsGnuR", modulename,
    NULL, NULL,
    PyvtkDescriptiveStatisticsGnuR_Doc(),
    PyVTKClass_vtkDescriptiveStatisticsNew(modulename));
  return cls;
}

const char **PyvtkDescriptiveStatisticsGnuR_Doc()
{
  static const char *docstring[] = {
    "vtkDescriptiveStatisticsGnu - A class for univariate descriptive\nstatistics using\n\n",
    "Superclass: vtkDescriptiveStatistics\n\n",
    "Given a selection of columns of interest in an input data table, this\nclass provides the following functionalities, depending on the chosen\nexecution options:\n* Learn: calculate extremal values, sample mean, and M2, M3, and M4\n  aggregates (cf. P. Pebay, Formulas for robust, one-pass parallel\n  computation of covariances and Arbitrary-Order Statistical Moments,\nSandia Report SAND2008-6212, Sep 200",
    "8,\n  http://infoserve.sandia.gov/sand_doc/2008/086212.pdf for details)\n* Derive: calculate unbiased variance estimator, standard deviation\n  estimator, two skewness estimators, and two kurtosis excess\n  estimators.\n* Assess: given an input data set, a reference value and a\n  non-negative deviation, mark each datum with corresponding relative\ndeviation (1-dimensional Mahlanobis distance). If the de",
    "viation is\n  zero, then mark each datum which are equal to the reference value\n  with 0, and all others with 1. By default, the reference value and\n  the deviation are, respectively, the mean and the standard\n  deviation of the input model.\n\nThanks:\n\nThanks to Philippe Pebay and David Thompson from Sandia National\nLaboratories for implementing this class. Updated by Philippe Pebay,\nKitware SAS 201",
    "2\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkDescriptiveStatisticsGnuR(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkDescriptiveStatisticsGnuRNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkDescriptiveStatisticsGnuR", o) != 0)
    {
    Py_DECREF(o);
    }

}

