// python wrapper for vtkGraphItem
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGraphItem.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGraphItem(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkGraphItemNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkContextItemNew
extern "C" { PyObject *PyVTKClass_vtkContextItemNew(const char *); }
#define DECLARED_PyVTKClass_vtkContextItemNew
#endif

static const char **PyvtkGraphItem_Doc();


static PyObject *
PyvtkGraphItem_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGraphItem::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGraphItem::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGraphItem *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGraphItem::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGraphItem *tempr = vtkGraphItem::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_SetGraph(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGraph");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  vtkGraph *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkGraph"))
    {
    if (ap.IsBound())
      {
      op->SetGraph(temp0);
      }
    else
      {
      op->vtkGraphItem::SetGraph(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_GetGraph(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGraph");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGraph *tempr = (ap.IsBound() ?
      op->GetGraph() :
      op->vtkGraphItem::GetGraph());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_GetLayout(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLayout");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIncrementalForceLayout *tempr = (ap.IsBound() ?
      op->GetLayout() :
      op->vtkGraphItem::GetLayout());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_StartLayoutAnimation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StartLayoutAnimation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  vtkRenderWindowInteractor *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRenderWindowInteractor"))
    {
    if (ap.IsBound())
      {
      op->StartLayoutAnimation(temp0);
      }
    else
      {
      op->vtkGraphItem::StartLayoutAnimation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_StopLayoutAnimation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StopLayoutAnimation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StopLayoutAnimation();
      }
    else
      {
      op->vtkGraphItem::StopLayoutAnimation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGraphItem_UpdateLayout(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UpdateLayout");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGraphItem *op = static_cast<vtkGraphItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UpdateLayout();
      }
    else
      {
      op->vtkGraphItem::UpdateLayout();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkGraphItem_Methods[] = {
  {(char*)"GetClassName", PyvtkGraphItem_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGraphItem_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGraphItem_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphItem\nC++: vtkGraphItem *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGraphItem_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphItem\nC++: vtkGraphItem *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetGraph", PyvtkGraphItem_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: virtual void SetGraph(vtkGraph *graph)\n\nThe graph that this item draws.\n"},
  {(char*)"GetGraph", PyvtkGraphItem_GetGraph, 1,
   (char*)"V.GetGraph() -> vtkGraph\nC++: vtkGraph *GetGraph()\n\nThe graph that this item draws.\n"},
  {(char*)"GetLayout", PyvtkGraphItem_GetLayout, 1,
   (char*)"V.GetLayout() -> vtkIncrementalForceLayout\nC++: virtual vtkIncrementalForceLayout *GetLayout()\n\nExposes the incremental graph layout for updating parameters.\n"},
  {(char*)"StartLayoutAnimation", PyvtkGraphItem_StartLayoutAnimation, 1,
   (char*)"V.StartLayoutAnimation(vtkRenderWindowInteractor)\nC++: virtual void StartLayoutAnimation(\n    vtkRenderWindowInteractor *interactor)\n\nBegins or ends the layout animation.\n"},
  {(char*)"StopLayoutAnimation", PyvtkGraphItem_StopLayoutAnimation, 1,
   (char*)"V.StopLayoutAnimation()\nC++: virtual void StopLayoutAnimation()\n\nBegins or ends the layout animation.\n"},
  {(char*)"UpdateLayout", PyvtkGraphItem_UpdateLayout, 1,
   (char*)"V.UpdateLayout()\nC++: virtual void UpdateLayout()\n\nIncrementally updates the graph layout.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGraphItem_StaticNew()
{
  return vtkGraphItem::New();
}

PyObject *PyVTKClass_vtkGraphItemNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGraphItem_StaticNew,
    PyvtkGraphItem_Methods,
    "vtkGraphItem", modulename,
    NULL, NULL,
    PyvtkGraphItem_Doc(),
    PyVTKClass_vtkContextItemNew(modulename));
  return cls;
}

const char **PyvtkGraphItem_Doc()
{
  static const char *docstring[] = {
    "vtkGraphItem - A 2D graphics item for rendering a graph.\n\n",
    "Superclass: vtkContextItem\n\n",
    "This item draws a graph as a part of a vtkContextScene. This simple\nclass has minimal state and delegates the determination of visual\nvertex and edge properties like color, size, width, etc. to a set of\nvirtual functions. To influence the rendering of the graph, subclass\nthis item and override the property functions you wish to customize.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGraphItem(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGraphItemNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGraphItem", o) != 0)
    {
    Py_DECREF(o);
    }

}

