// python wrapper for vtkRInterface
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkRInterface.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkRInterface(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkRInterfaceNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkRInterface_Doc();


static PyObject *
PyvtkRInterface_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkRInterface::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkRInterface::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkRInterface *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkRInterface::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkRInterface *tempr = vtkRInterface::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_EvalRcommand(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EvalRcommand");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    int tempr = (ap.IsBound() ?
      op->EvalRcommand(temp0, temp1) :
      op->vtkRInterface::EvalRcommand(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_EvalRscript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "EvalRscript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  bool temp1 = true;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1, 2) &&
      ap.GetValue(temp0) &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
    {
    int tempr = (ap.IsBound() ?
      op->EvalRscript(temp0, temp1) :
      op->vtkRInterface::EvalRscript(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_OutputBuffer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OutputBuffer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    int tempr = (ap.IsBound() ?
      op->OutputBuffer(temp0, temp1) :
      op->vtkRInterface::OutputBuffer(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignVTKDataArrayToRVariable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignVTKDataArrayToRVariable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  vtkDataArray *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkDataArray") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AssignVTKDataArrayToRVariable(temp0, temp1);
      }
    else
      {
      op->vtkRInterface::AssignVTKDataArrayToRVariable(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignVTKArrayToRVariable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignVTKArrayToRVariable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  vtkArray *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkArray") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AssignVTKArrayToRVariable(temp0, temp1);
      }
    else
      {
      op->vtkRInterface::AssignVTKArrayToRVariable(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignVTKTreeToRVariable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignVTKTreeToRVariable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  vtkTree *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkTree") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AssignVTKTreeToRVariable(temp0, temp1);
      }
    else
      {
      op->vtkRInterface::AssignVTKTreeToRVariable(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignRVariableToVTKTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignRVariableToVTKTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkTree *tempr = (ap.IsBound() ?
      op->AssignRVariableToVTKTree(temp0) :
      op->vtkRInterface::AssignRVariableToVTKTree(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignRVariableToVTKDataArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignRVariableToVTKDataArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkDataArray *tempr = (ap.IsBound() ?
      op->AssignRVariableToVTKDataArray(temp0) :
      op->vtkRInterface::AssignRVariableToVTKDataArray(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignRVariableToVTKArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignRVariableToVTKArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkArray *tempr = (ap.IsBound() ?
      op->AssignRVariableToVTKArray(temp0) :
      op->vtkRInterface::AssignRVariableToVTKArray(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignRVariableToVTKTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignRVariableToVTKTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkTable *tempr = (ap.IsBound() ?
      op->AssignRVariableToVTKTable(temp0) :
      op->vtkRInterface::AssignRVariableToVTKTable(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRInterface_AssignVTKTableToRVariable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AssignVTKTableToRVariable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRInterface *op = static_cast<vtkRInterface *>(vp);

  vtkTable *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkTable") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->AssignVTKTableToRVariable(temp0, temp1);
      }
    else
      {
      op->vtkRInterface::AssignVTKTableToRVariable(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkRInterface_Methods[] = {
  {(char*)"GetClassName", PyvtkRInterface_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkRInterface_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkRInterface_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRInterface\nC++: vtkRInterface *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkRInterface_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRInterface\nC++: vtkRInterface *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"EvalRcommand", PyvtkRInterface_EvalRcommand, 1,
   (char*)"V.EvalRcommand(string, int) -> int\nC++: int EvalRcommand(const char *commandName, int param)\n\nEvaluate an R command on the embedded R interpreter that takes\none integer argument.\n"},
  {(char*)"EvalRscript", PyvtkRInterface_EvalRscript, 1,
   (char*)"V.EvalRscript(string, bool) -> int\nC++: int EvalRscript(const char *string, bool showRoutput=true)\n\nEvaluate an R script given in string on the embedded R\ninterpreter.  Set showRoutput to turn on and off output from R.\n"},
  {(char*)"OutputBuffer", PyvtkRInterface_OutputBuffer, 1,
   (char*)"V.OutputBuffer(string, int) -> int\nC++: int OutputBuffer(char *p, int n)\n\nProvide a character buffer in p of length n.  All output from the\nR interpreter instance will be written to p by default.\n"},
  {(char*)"AssignVTKDataArrayToRVariable", PyvtkRInterface_AssignVTKDataArrayToRVariable, 1,
   (char*)"V.AssignVTKDataArrayToRVariable(vtkDataArray, string)\nC++: void AssignVTKDataArrayToRVariable(vtkDataArray *da,\n    const char *RVariableName)\n\nCopies vtkDataArray da into the R interpreter instance as a\nvariable named RVariableName. If RVariableName already exists, it\nwill be overwritten.\n"},
  {(char*)"AssignVTKArrayToRVariable", PyvtkRInterface_AssignVTKArrayToRVariable, 1,
   (char*)"V.AssignVTKArrayToRVariable(vtkArray, string)\nC++: void AssignVTKArrayToRVariable(vtkArray *da,\n    const char *RVariableName)\n\nCopies vtkArray da into the R interpreter instance as a variable\nnamed RVariableName. If RVariableName already exists, it will be\noverwritten.\n"},
  {(char*)"AssignVTKTreeToRVariable", PyvtkRInterface_AssignVTKTreeToRVariable, 1,
   (char*)"V.AssignVTKTreeToRVariable(vtkTree, string)\nC++: void AssignVTKTreeToRVariable(vtkTree *tr,\n    const char *RVariableName)\n\nCopies vtkTree tr into the R interpreter instance as a variable\nnamed RVariableName. If RVariableName already exists, it will be\noverwritten.\n"},
  {(char*)"AssignRVariableToVTKTree", PyvtkRInterface_AssignRVariableToVTKTree, 1,
   (char*)"V.AssignRVariableToVTKTree(string) -> vtkTree\nC++: vtkTree *AssignRVariableToVTKTree(const char *RVariableName)\n\nCopies the R variable RVariableName to the returned vtkDataArray.\n If the operation fails, the method will return NULL.\n"},
  {(char*)"AssignRVariableToVTKDataArray", PyvtkRInterface_AssignRVariableToVTKDataArray, 1,
   (char*)"V.AssignRVariableToVTKDataArray(string) -> vtkDataArray\nC++: vtkDataArray *AssignRVariableToVTKDataArray(\n    const char *RVariableName)\n\nCopies the R variable RVariableName to the returned vtkDataArray.\n If the operation fails, the method will return NULL.\n"},
  {(char*)"AssignRVariableToVTKArray", PyvtkRInterface_AssignRVariableToVTKArray, 1,
   (char*)"V.AssignRVariableToVTKArray(string) -> vtkArray\nC++: vtkArray *AssignRVariableToVTKArray(\n    const char *RVariableName)\n\nCopies the R variable RVariableName to the returned vtkArray.  If\nthe operation fails, the method will return NULL.  The returned\nvtkArray is currently always a vtkDenseArray of type double.\n"},
  {(char*)"AssignRVariableToVTKTable", PyvtkRInterface_AssignRVariableToVTKTable, 1,
   (char*)"V.AssignRVariableToVTKTable(string) -> vtkTable\nC++: vtkTable *AssignRVariableToVTKTable(\n    const char *RVariableName)\n\nCopies the R matrix or R list in RVariableName to the returned\nvtkTable.  If the operation fails, the method will return NULL. \nIf RVariableName is an R list, each list entry must be a vector\nof the same length.\n"},
  {(char*)"AssignVTKTableToRVariable", PyvtkRInterface_AssignVTKTableToRVariable, 1,
   (char*)"V.AssignVTKTableToRVariable(vtkTable, string)\nC++: void AssignVTKTableToRVariable(vtkTable *table,\n    const char *RVariableName)\n\nCopies the vtkTable given in table to an R list structure name\nRVariableName.  The R list will be length of the number of\ncolumns in table.  Each member of the list will contain a column\nof table.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkRInterface_StaticNew()
{
  return vtkRInterface::New();
}

PyObject *PyVTKClass_vtkRInterfaceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkRInterface_StaticNew,
    PyvtkRInterface_Methods,
    "vtkRInterface", modulename,
    NULL, NULL,
    PyvtkRInterface_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkRInterface_Doc()
{
  static const char *docstring[] = {
    "vtkRInterface\n\n",
    "Superclass: vtkObject\n\n",
    "This class defines a VTK interface to an embedded GNU R intepreter\ninstance.  An instance of the R interpreter is created when this\nclass is instantiated.  Additional instances of this class will share\naccess the same R interpreter.  The R interpreter will be shutdown\nwhen the application using this class exits.\n\nSee Also:\n\n\n vtkRadapter vtkRcalculatorFilter\n\nThanks:\n\n\n Developed by Thomas Otahal ",
    "at Sandia National Laboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkRInterface(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkRInterfaceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkRInterface", o) != 0)
    {
    Py_DECREF(o);
    }

}

