// python wrapper for vtkStreamerBase
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStreamerBase.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkStreamerBase(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkStreamerBaseNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkAlgorithmNew
#endif

static const char **PyvtkStreamerBase_Doc();


static PyObject *
PyvtkStreamerBase_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkStreamerBase *op = static_cast<vtkStreamerBase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkStreamerBase::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkStreamerBase_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkStreamerBase *op = static_cast<vtkStreamerBase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkStreamerBase::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkStreamerBase_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkStreamerBase *op = static_cast<vtkStreamerBase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStreamerBase *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkStreamerBase::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkStreamerBase_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkStreamerBase *tempr = vtkStreamerBase::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkStreamerBase_Methods[] = {
  {(char*)"GetClassName", PyvtkStreamerBase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkStreamerBase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkStreamerBase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamerBase\nC++: vtkStreamerBase *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkStreamerBase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStreamerBase\nC++: vtkStreamerBase *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkStreamerBaseNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkStreamerBase_Methods,
    "vtkStreamerBase", modulename,
    NULL, NULL,
    PyvtkStreamerBase_Doc(),
    PyVTKClass_vtkAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkStreamerBase_Doc()
{
  static const char *docstring[] = {
    "vtkStreamerBase - Superclass for filters that stream input pipeline\n\n",
    "Superclass: vtkAlgorithm\n\n",
    "This class can be used as a superclass for filters that want to\nstream their input pipeline by making multiple execution passes. The\nsubclass needs to set NumberOfPasses to > 1 before execution ( usuall\nin the constructor or in RequestInformation) to initiate streaming.\nvtkStreamerBase will handle streaming while calling ExecutePass()\nduring each pass. CurrentIndex can be used to obtain the index ",
    "for\nthe current pass. Finally, PostExecute() is called after the last\npass and can be used to cleanup any internal data structures and\ncreate the actual output.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkStreamerBase(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkStreamerBaseNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkStreamerBase", o) != 0)
    {
    Py_DECREF(o);
    }

}

